Permalink
Switch branches/tags
Nothing to show
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
1872 lines (1815 sloc) 80.4 KB

Major Objectives

  • Return to regular package updates, and prepare for new system releases.
  • Update GNOME to 3.26.
  • Update KDE/Plasma components (KDE Frameworks 5 5.39.0, Plasma 5.11.2, KDE Applications 17.08.2).
  • Major improvment to security update capacity thanks to collection and consultance by Zero King.
  • Fixing packages failing to build with GCC 7.x and Glibc 2.26, which were introduced with Core 5.

Pakreq (Package Requests) and New Packages

This section lists all the new packages requested by community members, or actively added by packagers due to dependency needs. These packages are made available when this wave of updates is ready.

* 01f39126a lxqt-themes: new, 0.12.0 (noarch)
* 8fd49fe54 libqaccessibilityclient: new, 0.2.0
* de3e6e240 html5-parser: new, 0.4.4
* f1f04f89f cmake-fedora: new, 2.9.2
* f424a9767 cmocka: new, 1.1.1
* 3b30abfe0 libxml-java: new, 1.1.6 (noarch)
* 74541f564 pipewire: new, 0.1.5
* c59c37394 js-52: new, 52.4.0
* fe7be6b0b gmime-3: new, 3.0.2
* e8450da4d docbook-utils: new, 0.6.14 (noarch)
* 1049d6301 docbook-sgml: new, 3.1 (noarch)
* 5c9f005bf docbook-dsssl: new, 1.79 (noarch)

Unresolved/Delayed Pakreqs

See our online requests catalogue.

Updreq (Update Requests)

This section lists all updates to existing packages requested by community members, these package updates are made by request and are made available when this wave of updates is ready.

See our online requests catalogue.

Unresolved/Delayed Updreqs

See our online requests catalogue.

Optreq (Optimisation Requests)

This section lists all optimisation to existing packages requested by community members, these package updates are made by request and are made available when this wave of updates is ready.

None processed this month.

See our online requests catalogue.

Unresolved/Delayed Optreqs

See our online requests catalogue.

Security Issues

This section lists all security updates made throughout the month (not made available monthly, but at availability).

  • AOSA-2017-0070: Update Dnsmasq to 2.78 (CVE-2017-13704, CVE-2017-14491, CVE-2017-14492, CVE-2017-14493, CVE-2017-14494, CVE-2017-14495, CVE-2017-14496).
  • AOSA-2017-0071: Update OpenVPN to 2.4.4 (CVE-2017-12166).
  • AOSA-2017-0072: Update Irssi to 1.0.4 (CVE-2017-10965, CVE-2017-10966).
  • AOSA-2017-0073: Update Botan to 1.10.17 (CVE-2017-2801, CVE-2017-14737).
  • AOSA-2017-0074: Update Mpg123 to 1.25.7 (CVE-2017-9545).
  • AOSA-2017-0075: Update ImLib2 to 1.4.10 (CVE-2017-3993, CVE-2017-3994, CVE-2017-4024, CVE-2017-5326).
  • AOSA-2017-0076: Update Tor to 0.3.0.11 (CVE-2017-0380).
  • AOSA-2017-0077: Update MiniUPnPC to 2.0.20170509 (CVE-2017-8798).
  • AOSA-2017-0078: Update Ruby to 2.4.2 (CVE-2017-0898, CVE-2017-10784, CVE-2017-14033, CVE-2017-14064).
  • AOSA-2017-0079: Update LibGCrypt to 1.7.9 (CVE-2017-0379).
  • AOSA-2017-0080: Update ICU to 58.2-4 (CVE-2017-7867, CVE-2017-7868).
  • AOSA-2017-0081: Update FreeRadius to 3.0.13-1 [FR-GV-201 (v2,v3), FR-GV-202 (v2), FR-GV-203 (v2), FR-GV-204 (v2), FR-GV-205 (v2), FR-GV-206 (v2,v3), FR-GV-207 (v2), FR-GV-301 (v3), FR-GV-302 (v3), FR-GV-303 (v3), FR-GV-304 (v3), FR-GV-305 (v3), FR-AD-001 (v2,v3), FR-AD-002 (v3), FR-AD-003 (v3)]
  • AOSA-2017-0082: Update LibVNCServer to 0.9.11 (CVE-2016-9941, CVE-2016-9942).
  • AOSA-2017-0083: Update LibTIFF to 4.0.8 (CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599, CVE-2017-7600, CVE-2017-7601, CVE-2017-7602).
  • AOSA-2017-0084: Update LibSndFile to 1.0.28 (CVE-2017-7585, CVE-2017-7586, CVE-2017-7741, CVE-2017-7742).
  • AOSA-2017-0085: Update GraphicsMagick to 1.3.25-5 (CVE-2017-14994).
  • AOSA-2017-0086: Update UnRAR to 5.5.8 (CVE-2012-6706, CVE-2017-12940, CVE-2017-12941, CVE-2017-12942).
  • AOSA-2017-0087: Update Git to 2.13.6 (CVE-2017-14867).
  • AOSA-2017-0088: Update LibCroco to 0.6.12-1 (CVE-2017-7960, CVE-2017-7961).
  • AOSA-2017-0089: Update Jbig2Dec to 0.13-1 (CVE-2017-7885, CVE-2017-7975, CVE-2017-7976).
  • AOSA-2017-0090: Update Bind to 9.11.1.P3 (CVE-2017-3142, CVE-2017-3143).
  • AOSA-2017-0091: Update Newsbeuter to 2.9-2 (CVE-2017-14500).
  • AOSA-2017-0092: Update OpenSSH to 7.6p1 (CVE not yet assigned, ?).
  • AOSA-2017-0093: Update LibIDN2 to 2.0.4 (CVE-2017-14062).
  • AOSA-2017-0094: Update GNU PSPP to 1.0.1 (CVE-2017-12958, CVE-2017-12959, CVE-2017-12960, CVE-2017-12961).
  • AOSA-2017-0095: Update CVS to 1.12.13-1 (CVE-2017-12836).
  • AOSA-2017-0096: Update Exim to 4.89-1 (CVE-2017-1000369, CVE-2017-1000376).
  • AOSA-2017-0097: Update Emacs to 25.3 (CVE-2017-14482).
  • AOSA-2017-0098: Update cURL to 7.55.0-1 (CVE-2017-1000254). ¹
  • AOSA-2017-0099: Update Varnish to 5.1.2-1 (CVE-2017-12425).
  • AOSA-2017-0100: Update Apache/HTTPD to 2.4.28 (CVE-2017-3167, CVE-2017-3169, CVE-2017-7659, CVE-2017-7668, CVE-2017-7679, CVE-2017-9788, CVE-2017-9789, CVE-2017-9798).
  • AOSA-2017-0101: Update Samba to 4.6.8 (CVE-2017-12150, CVE-2017-12151, CVE-2017-12163).
  • AOSA-2017-0102: Update LibRAW to 0.18.5 (CVE-2017-13735, CVE-2017-14265, CVE-2017-14348).
  • AOSA-2017-0103: Update LibZip to 1.2.0-1 (CVE-2017-14107).
  • AOSA-2017-0104: Update ImageMagick to 6.9.8+10-1 (CVE-2017-14741).
  • AOSA-2017-0105: Update LibGD to 2.2.5 (CVE-2017-6362, CVE-2017-7890).
  • AOSA-2017-0106: Update WeeChat to 1.9.1 (CVE-2017-14727).
  • AOSA-2017-0107: Update WebKit2GTK (or webkitgtk-4.0) to 2.16.6 (CVE-2017-7018, CVE-2017-7030, CVE-2017-7034, CVE-2017-7037, CVE-2017-7039, CVE-2017-7046, CVE-2017-7048, CVE-2017-7055, CVE-2017-7056, CVE-2017-7061, CVE-2017-7064).
  • AOSA-2017-0108: Update Node.js to 8.1.4 (CVE-2017-11499).
  • AOSA-2017-0109: Update PostgreSQL to 9.6.5 (CVE-2017-7546, CVE-2017-7547, CVE-2017-7548).
  • AOSA-2017-0110: Update LibSampleRate to 0.1.9 (CVE-2017-7697).
  • AOSA-2017-0111: Update X.Org Server (xorg-server) to 1.9.13-2 (CVE-2017-13721, CVE-2017-13723).
  • AOSA-2017-0112: Update WavPack to 5.1.0 (CVE-2016-10169, CVE-2016-10170, CVE-2016-10171, CVE-2016-10172).
  • AOSA-2017-0113: Update mbed TLS (mbedtls) to 2.6.0 (CVE-2017-14032). ¹
  • AOSA-2017-0114: Update Qemu to 2.9.0-3 (CVE-2017-12809, CVE-2017-13672, CVE-2017-13711, CVE-2017-14167).
  • AOSA-2017-0115: Update Chromium and Google Chrome to 61.0.3163.100 (CVE-2017-5091, CVE-2017-5092, CVE-2017-5093, CVE-2017-5094, CVE-2017-5095, CVE-2017-5096, CVE-2017-5097, CVE-2017-5098, CVE-2017-5099, CVE-2017-5100, CVE-2017-5101, CVE-2017-5102, CVE-2017-5103, CVE-2017-5104, CVE-2017-5105, CVE-2017-5106, CVE-2017-5107, CVE-2017-5108, CVE-2017-5109, CVE-2017-5110, CVE-2017-5111, CVE-2017-5112, CVE-2017-5113, CVE-2017-5114, CVE-2017-5115, CVE-2017-5116, CVE-2017-5117, CVE-2017-5118, CVE-2017-5119, CVE-2017-5120, CVE-2017-5121, CVE-2017-5122, CVE-2017-6991).
  • AOSA-2017-0116: Update OpenJDK to 8u144b01 (CVE-2017-3509, CVE-2017-3511, CVE-2017-3512, CVE-2017-3514, CVE-2017-3526, CVE-2017-3533, CVE-2017-3539, CVE-2017-3544, CVE-2017-10053, CVE-2017-10067, CVE-2017-10074, CVE-2017-10078, CVE-2017-10081, CVE-2017-10086, CVE-2017-10087, CVE-2017-10089, CVE-2017-10090, CVE-2017-10096, CVE-2017-10101, CVE-2017-10102, CVE-2017-10104, CVE-2017-10105, CVE-2017-10107, CVE-2017-10108, CVE-2017-10109, CVE-2017-10110, CVE-2017-10111, CVE-2017-10114, CVE-2017-10115, CVE-2017-10116, CVE-2017-10117, CVE-2017-10118, CVE-2017-10121, CVE-2017-10125, CVE-2017-10135, CVE-2017-10145, CVE-2017-10176, CVE-2017-10193, CVE-2017-10198, CVE-2017-10243).
  • AOSA-2017-0117: Update Go to 1.9.1 (CVE-2017-15041, CVE-2017-15042).
  • AOSA-2017-0118: Update FFmpeg to 3.3.4 (CVE-2017-9608, CVE-2017-11399, CVE-2017-11665, CVE-2017-11719, CVE-2017-14054, CVE-2017-14055, CVE-2017-14056, CVE-2017-14057, CVE-2017-14058, CVE-2017-14059, CVE-2017-14169, CVE-2017-14170, CVE-2017-14171, CVE-2017-14222, CVE-2017-14223, CVE-2017-14225, CVE-2017-14767). ¹
  • AOSA-2017-0119: Update FreeImage to 3.17.0-1 (CVE-2015-0852, CVE-2016-5684).
  • AOSA-2017-0120: Update PHP to 7.1.10 (CVE-2017-7890, CVE-2017-9224, CVE-2017-9226, CVE-2017-9227, CVE-2017-9228, CVE-2017-9229). ²
  • AOSA-2017-0121: Update Vorbis-Tools to 1.4.0-3 (CVE-2014-9638, CVE-2014-9639, CVE-2015-6749).
  • AOSA-2017-0122: Update OpenJPEG to 2.2.0-1 (CVE-2017-14152).
  • AOSA-2017-0123: Update FontForge to 20161012-1 (CVE-2010-4259, CVE-2017-11568, CVE-2017-11569, CVE-2017-11571, CVE-2017-11572, CVE-2017-11574, CVE-2017-11575, CVE-2017-11576, CVE-2017-11577).
  • AOSA-2017-0124: Update Connman to 1.33-2 (CVE-2017-12865).
  • AOSA-2017-0125: Update LibXML2 to 2.9.5 (CVE-2017-0663, CVE-2017-7375, CVE-2017-7376, CVE-2017-9047 CVE-2017-9048, CVE-2017-9049, CVE-2017-9050).
  • AOSA-2017-0126: Update Gajim to 0.16.8 (CVE-2016-10376).
  • AOSA-2017-0127: Update Augeas to 1.4.0-1 (CVE-2017-7555).
  • AOSA-2017-0128: Update CatDoc to 0.94.4-2 (CVE-2017-11110).
  • AOSA-2017-0129: Update Expat to 2.2.4 (CVE-2012-0876, CVE-2016-0718, CVE-2016-5300, CVE-2016-9063, CVE-2017-9233, CVE-2017-11742). ²
  • AOSA-2017-0130: Update LibTIFF to 4.0.8-1 (CVE-2016-10095, CVE-2017-9147, CVE-2017-9403, CVE-2017-9404, CVE-2017-9936, CVE-2017-10688).
  • AOSA-2017-0131: Update Firefox to 56.0 (CVE-2017-7793, CVE-2017-7805, CVE-2017-7810, CVE-2017-7811, CVE-2017-7812, CVE-2017-7813, CVE-2017-7814, CVE-2017-7815, CVE-2017-7816, CVE-2017-7817, CVE-2017-7818, CVE-2017-7819, CVE-2017-7820, CVE-2017-7821, CVE-2017-7822, CVE-2017-7823, CVE-2017-7824, CVE-2017-7825).
  • AOSA-2017-0132: Update LibTIRPC to 0.3.2-2 (CVE-2017-8779).
  • AOSA-2017-0133: Update LibMWAW to 0.3.11-1 (CVE-2017-9433).
  • AOSA-2017-0134: Update GhostScript to 9.20-2 (CVE-2017-8291).
  • AOSA-2017-0135: Update LibEvent to 2.0.22-1 (CVE-2016-10195, CVE-2016-10196, CVE-2016-10197).
  • AOSA-2017-0136: Update TeXLive to 20150521-6 (CVE-2016-10243).
  • AOSA-2017-0137: Update Opera to 48.0.2685.35 (CVE-2017-5091, CVE-2017-5092, CVE-2017-5093, CVE-2017-5094, CVE-2017-5095, CVE-2017-5096, CVE-2017-5097, CVE-2017-5098, CVE-2017-5099, CVE-2017-5100, CVE-2017-5101, CVE-2017-5102, CVE-2017-5103, CVE-2017-5104, CVE-2017-5105, CVE-2017-5106, CVE-2017-5107, CVE-2017-5108, CVE-2017-5109, CVE-2017-5110, CVE-2017-5111, CVE-2017-5112, CVE-2017-5113, CVE-2017-5114, CVE-2017-5115, CVE-2017-5116, CVE-2017-5117, CVE-2017-5118, CVE-2017-5119, CVE-2017-5120, CVE-2017-5121, CVE-2017-5122, CVE-2017-6991). ³
  • AOSA-2017-0138: Update Minicom to 2.7.1 (CVE-2017-7467).
  • AOSA-2017-0139: Update Wget to 1.19.1 (CVE-2017-6508).
  • AOSA-2017-0140: Update Nemo to 3.4.5-1 (CVE-2017-14604).
  • AOSA-2017-0141: Update LibFM to 1.2.5-2 (CVE-2017-14604).
  • AOSA-2017-0142: Update LibFM-Qt to 0.11.2-3 (CVE-2017-14604).
  • AOSA-2017-0143: Update Vivaldi to 1.12.955.38 (CVE-2017-5091, CVE-2017-5092, CVE-2017-5093, CVE-2017-5094, CVE-2017-5095, CVE-2017-5096, CVE-2017-5097, CVE-2017-5098, CVE-2017-5099, CVE-2017-5100, CVE-2017-5101, CVE-2017-5102, CVE-2017-5103, CVE-2017-5104, CVE-2017-5105, CVE-2017-5106, CVE-2017-5107, CVE-2017-5108, CVE-2017-5109, CVE-2017-5110, CVE-2017-5111, CVE-2017-5112, CVE-2017-5113, CVE-2017-5114, CVE-2017-5115, CVE-2017-5116, CVE-2017-5117, CVE-2017-5118, CVE-2017-5119, CVE-2017-5120, CVE-2017-5121, CVE-2017-5122, CVE-2017-6991). ³
  • AOSA-2017-0144: Update LibZip to 1.2.0-2 (CVE-2017-12858).
  • AOSA-2017-0145: Update PCRE to 8.41, and PCRE2 to 10.30 (CVE-2017-7186, CVE-2017-8399, CVE-2017-8786).
  • AOSA-2017-0146: Update Krb5 to 1.15.2 (CVE-2017-11368, CVE-2017-11462).
  • AOSA-2017-0147: Update Pale Moon to 27.5.0 (CVE-2017-7751, CVE-2017-7757, CVE-2017-7763, CVE-2017-7781, CVE-2017-7783, CVE-2017-7784, CVE-2017-7787, CVE-2017-7800, CVE-2017-7804, CVE-2017-7809). ²
  • AOSA-2017-0148: Update LibWPD to 0.10.2 (CVE-2017-14226).
  • AOSA-2017-0149: Update GhostScript to 9.20-3 (CVE-2016-7976, CVE-2016-7977, CVE-2016-7978, CVE-2016-7979, CVE-2016-8602, CVE-2016-9601, CVE-2016-10217, CVE-2016-10218, CVE-2016-10219, CVE-2016-10220, CVE-2017-5951, CVE-2017-7207, CVE-2017-8291, CVE-2017-9611, CVE-2017-9612, CVE-2017-9726, CVE-2017-9727, CVE-2017-9739, CVE-2017-9835, CVE-2017-11714).
  • AOSA-2017-0150: Revoked.
  • AOSA-2017-0151: Update Brave Browser to 0.18.36 (CVE-2017-5091, CVE-2017-5092, CVE-2017-5093, CVE-2017-5094, CVE-2017-5095, CVE-2017-5096, CVE-2017-5097, CVE-2017-5098, CVE-2017-5099, CVE-2017-5100, CVE-2017-5101, CVE-2017-5102, CVE-2017-5103, CVE-2017-5104, CVE-2017-5105, CVE-2017-5106, CVE-2017-5107, CVE-2017-5108, CVE-2017-5109, CVE-2017-5110, CVE-2017-5111, CVE-2017-5112, CVE-2017-5113, CVE-2017-5114, CVE-2017-5115, CVE-2017-5116, CVE-2017-5117, CVE-2017-5118, CVE-2017-5119, CVE-2017-5120, CVE-2017-5121, CVE-2017-5122, CVE-2017-6991). ³
  • AOSA-2017-0152: Update OCaml to 4.04.2 (CVE-2017-9772).
  • AOSA-2017-0154: Update to 2.4.2-1 (CVE-2017-0903).
  • AOSA-2017-0155: Update X11 Libraries to 7.7.20171011 (CVE-2017-13720, CVE-2017-13722). ¹
  • AOSA-2017-0156: Update LAME to 3.99.5-4 (CVE-2017-15018). ¹
  • AOSA-2017-0157: Update Thunderbird to 52.4.0 (CVE-2017-7793, CVE-2017-7805, CVE-2017-7810, CVE-2017-7814, CVE-2017-7818, CVE-2017-7819, CVE-2017-7823, CVE-2017-7824, CVE-2017-7825).
  • AOSA-2017-0158: Update SeaMonkey to 2.48.0 (CVE-2017-5397).
  • AOSA-2017-0159: Update Open vSwitch to 2.7.0-1 (CVE-2017-9214, CVE-2017-9263, CVE-2017-9264, CVE-2017-9265).
  • AOSA-2017-0160: Update NSS to 3.31-1 (CVE-2017-7805).
  • AOSA-2017-0161: Update Wireshark to 2.2.10 (CVE-2017-15192, CVE-2017-15193, CVE-2017-15191).
  • AOSA-2017-0162: Update Pale Moon to 27.5.1. ²
  • AOSA-2017-0163: Update Libtasn1 to 4.12 (CVE-2017-10790). ¹
  • AOSA-2017-0164: Update Shadowsocks-Libev to 3.0.8-1. ¹
  • AOSA-2017-0165: Update Xorg-Sever to 1.19.3-2 (CVE-2017-12176, CVE-2017-12177, CVE-2017-121778, CVE-2017-121779, CVE-2017-121780, CVE-2017-121781, CVE-2017-121782, CVE-2017-121783, CVE-2017-121784, CVE-2017-121785, CVE-2017-121786, CVE-2017-121787).
  • AOSA-2017-0166: Update Linux Kernel to 4.13.3-2, and 4.9.51-1 (LTS) (CVE-2017-5123, CVE-2017-12192, CVE-2017-14991, CVE-2017-15265).
  • AOSA-2017-0167: Update WPA_Supplicant to 2.6-2 (CVE-2017-13077, CVE-2017-13078, CVE-2017-13079, CVE-2017-13080, CVE-2017-13081, CVE-2017-13082, CVE-2017-13086, CVE-2017-13087, CVE-2017-13088). ²
  • AOSA-2017-0168: Update Flashplayer-PPAPI to 27.0.0.170. ²
  • AOSA-2017-0169: Update MuPDF to 1.11-2 (CVE-2017-15587).
  • AOSA-2017-0170: Update Chromium and Google Chrome to 62.0.3202.62 (CVE-2017-5124, CVE-2017-5125, CVE-2017-5126, CVE-2017-5127, CVE-2017-5128, CVE-2017-5129, CVE-2017-5130,CVE-2017-5131, CVE-2017-5132, CVE-2017-5133, CVE-2017-15386, CVE-2017-15387, CVE-2017-15388, CVE-2017-15389, CVE-2017-15390, CVE-2017-15391, CVE-2017-15392, CVE-2017-15393, CVE-2017-15394, CVE-2017-15395).
  • AOSA-2017-0171: Update Brave Browser to 0.19.48 (CVE-2017-5124, CVE-2017-5125, CVE-2017-5126, CVE-2017-5127, CVE-2017-5128, CVE-2017-5129, CVE-2017-5130,CVE-2017-5131, CVE-2017-5132, CVE-2017-5133, CVE-2017-15386, CVE-2017-15387, CVE-2017-15388, CVE-2017-15389, CVE-2017-15390, CVE-2017-15391, CVE-2017-15392, CVE-2017-15393, CVE-2017-15394, CVE-2017-15395).
  • AOSA-2017-0172: Update HostAPd to 2.6-1 (CVE-2017-13077, CVE-2017-13078, CVE-2017-13079, CVE-2017-13080, CVE-2017-13081, CVE-2017-13082, CVE-2017-13086, CVE-2017-13087, CVE-2017-13088). ²
  • AOSA-2017-0173: Update LibVirt to 3.1.0-2 (CVE-2017-1000256).
  • AOSA-2017-0174: Update Postfix to 3.2.2. ²
  • AOSA-2017-0175: Update LAME to 3.100 (CVE-2017-9410, CVE-2017-9411, CVE-2017-9412). ¹ ²
  • AOSA-2017-0176: Update Irssi to 1.0.5 (CVE-2017-15228, CVE-2017-15227, CVE-2017-15721, CVE-2017-15723, CVE-2017-15722).
  • AOSA-2017-0177: Update cURL to 7.55.0-2 (CVE-2017-1000257). ¹
  • AOSA-2017-0178: Update OpenJDK to 8u152b16 (CVE-2016-9841, CVE-2016-10165, CVE-2017-10274, CVE-2017-10281, CVE-2017-10285, CVE-2017-10293, CVE-2017-10295, CVE-2017-10309, CVE-2017-10341, CVE-2017-10345, CVE-2017-10346, CVE-2017-10347, CVE-2017-10348, CVE-2017-10349, CVE-2017-10350, CVE-2017-10355, CVE-2017-10356, CVE-2017-10357, CVE-2017-10388). ²
  • AOSA-2017-0179: Update Bzr (Bazaar) to 2.7.0-1 (CVE-2017-14176).
  • AOSA-2017-0180: Update ICU to 58.2-5 (CVE-2017-14952).
  • AOSA-2017-0181: Update MuPDF to 1.11-3 (CVE-2017-14685, CVE-2017-14686, CVE-2017-14687).
  • AOSA-2017-0182: Update LibIDN to 1.33-2 (CVE-2017-14062).
  • AOSA-2017-0183: Update Node.js to 8.1.4-1 (CVE-2017-14919).
  • AOSA-2017-0184: Update Poppler to 0.60.1 (CVE-2017-9775, CVE-2017-9865).
  • AOSA-2017-0185: Update LibLouis to 3.3.0 (CVE-2017-13738, CVE-2017-13739, CVE-2017-13740, CVE-2017-13741, CVE-2017-13742, CVE-2017-13743, CVE-2017-13744).
  • AOSA-2017-0186: Update HHVM to 3.22.0. ²
  • AOSA-2017-0187: Update Qt 5 (qt-5) to 5.9.2+wk5.212.0 (CVE-2017-5092, CVE-2017-5093, CVE-2017-5095, CVE-2017-5097, CVE-2017-5099, CVE-2017-5102, CVE-2017-5103, CVE-2017-5107, CVE-2017-5112, CVE-2017-5114, CVE-2017-5117, CVE-2017-5118).
  • AOSA-2017-0188: Update Kodi to 17.4. ²
  • AOSA-2017-0189: Update Wget to 1.19.1-2 (CVE-2017-13089, CVE-2017-13090).
  • AOSA-2017-0190: Update VirtualBox to 5.1.30. ²³
  • AOSA-2017-0191: Update Apache Portable Runtime to 1.6.3 (CVE-2017-12613).
  • AOSA-2017-0192: Update APR-Util to 1.6.1 (CVE-2017-12618).
  • AOSA-2017-0193: Update Chromium and Google Chrome to 62.0.3202.75 (CVE-2017-15396).
  • AOSA-2017-0194: Update Brave Browser to 0.19.70 (CVE-2017-15396). ³
  • AOSA-2017-0195: Update Vivaldi to 1.12.955.42 (CVE-2017-15396). ³
  • AOSA-2017-0196: Update WebKit2GTK to 2.18.0 (CVE-2017-7081, CVE-2017-7087, CVE-2017-7089, CVE-2017-7090, CVE-2017-7091, CVE-2017-7092, CVE-2017-7093, CVE-2017-7094, CVE-2017-7095, CVE-2017-7096, CVE-2017-7098, CVE-2017-7099, CVE-2017-7100, CVE-2017-7102, CVE-2017-7104, CVE-2017-7107, CVE-2017-7109, CVE-2017-7111, CVE-2017-7117, CVE-2017-7120, CVE-2017-7142).

Notes:

¹ If 32-bit subsystem (32subsystem, or optenv32) is installed on your copy of AOSC OS (files in /opt/32), you would need to update the 32-bit counterpart(s) of the offending package(s) as well - for example, when an AOSA is assigned to cURL, package curl, you would need to update curl+32 to the same version. ² These packages has extra security issues fixed which are not assigned with a CVE. Please search the AOSA number on our GitHub issues list, at https://github.com/AOSC-Dev/aosc-os-abbs/issues - read the detailed issue/report for more security information. ³ These packages are only applicable to AMD64/x86_64 AOSC OS users.

General Issues

This section lists all issues/bugs reported by community members, and are made available as a part of this wave of update.

  • Fixed possible unlimited loop when booting on systems with Solid State Drives with internal "RAID-like" structures with an update to multipath-tools.
  • Fixed potential dependency loop with IBus and GTK+ 2/3, which could result in package installation errors when, for example, building a system environment from Base.

Unresolved/Delayed Issues

None recorded this month.

Other Changes

Other changes are non-bugfix changes made to packages, or packages dropped from the community repository - effective in this wave of update. Users should take note.

  • PackageKit now contains the original packagekit common runtime and data files, and the default APTCC backend package packagekit-backend-aptcc.
  • WireGuard can now be installed with the wireguard package, which depends on both userspace tools, and DKMS Kernel Module configuration to ease upgrades.

Delayed Changes

These changes are not made due to various reasons, these could include lack of testing or major unresolved bugs found in the testing period (Day 20-25).

  • Ceph, update to 10.2.10.
  • Fixes from Dingyuan Wang which contains a large amount of fixes to packages with non-capitalised first letter in their descriptions.

General Updates

This section lists all changes made, and effective with this wave of update - including all issues, requests, and changes mentioned above, and additionally all version updates and rebuilds (if necessary). This section excludes all changes made to the bugfix branch, as they are not made available in a monthly fashion but irregularly as necessary, they will be listed below in a separate section.

This section is essentially a (slightly edited for reference and typos) list of Git commits made to the staging (testing) branch of our ABBS tree. This list is chronologically sorted, with oldest commits on top.

* 6a26746a2 packagekit: bundle backend-aptcc
* 71393ea66 gst-plugins-bad-1-0: use -O0 for ppc64, for build to pass
* 2d0320ea6 qtcreator: fix build
* 9a4069d19 mplayer: fix build on powerpc
* 69d92ea84 systemd: fix patch for 234
* 1563d1686 texlive: limit ffcall to amd64
* b2058e79f pypy3: limit JIT arch
* e9ba510c2 simgear: hack for armel
* 582f11457 cln: fix build on armel
* 369133062 js-31: fix build on armel
* 5a36f15cb mutter: fix frequent GNOME Shell crashes
* b1c8595d4 jack: fix download URL
* 1dba26e0e systemd: invoke pam_limits on spawning userspace programs
* 31263010f jack: update to 1.9.11-RC1
* 8fd9dbdc2 cadence: new
* 8a2544f3c ladish: correct package provide field
* 00feebccd ladish: new
* a2e0e53fd a2jmidid: new (stale package)
* deaa68a25 jack-capture: new
* 507194f19 liblo: update to 0.29
* 57782a81f lxqt-base: adjust deps for 0.12.0
* 948f4d541 pavucontrol-qt: update to 0.3.0
* 0f8fcc2a4 lxqt-themes: add to build group
* c93df133b lximage-qt: update to 0.6.0
* 44fcfb775 obconf-qt: update to 0.12.0
* f6c550aa8 pcmanfm-qt: update to 0.12.0
* 5bf5b81a0 qterminal: update to 0.8.0
* 14e2894d2 qtermwidget: update to 0.8.0
* 72beee81f lxqt-common: drop
* 01f39126a lxqt-themes: new, 0.12.0 (noarch)
* 52d24c90d lxqt-admin: update to 0.12.0
* 2df31eb99 lxqt-sudo: update to 0.12.0
* 44b936f47 lxqt-session: update to 0.12.0
* f3af50e74 lxqt-runner: update to 0.12.0
* a729c4c0d lxqt-qtplugin: update to 0.12.0
* 58a7a8506 lxqt-powermanagement: update to 0.12.0
* c5a47f3da lxqt-policykit: update to 0.12.0
* 04adc7fd4 lxqt-panel: update to 0.12.0
* 7707fed92 lxqt-notificationd: update to 0.12.0
* b001f8243 lxqt-globalkeys: update to 0.12.0
* 8120aa9fa lxqt-config: update to 0.12.0
* a4051f0a0 lxqt-about: update to 0.12.0
* f7669e4a9 libfm-qt: update to 0.12.0
* 54a576f6d liblxqt: update to 0.12.0
* 1edfde082 libsysstat: update to 0.4.0
* 089ad467d lxqt-build-tools: update to 0.4.0
* a000f91d7 libqtxdg: update to 3.1.0
* 225af55ab kde-workspace: drop Core 5 background from SDDM theme and locker
* 881801e3f apt: add systemd and gnutls dep
* 6199c1128 groups/lxqt: complete build group
* d3dd7523e zita-ajbridge: new
* b5f2d52da zita-resampler: new
* 310effaf6 zita-convolver: new
* a83000659 zita-alsa-pcmi: new
* 85cdc2b8f nodejs: update to 8.8.0
* 0327bc502 curl{,+32}: update to 7.56.1
* f42af9352 postfix: update to 3.2.3
* 31b875f35 wireshark: rebuild
* 2bc91108c snappy: add breakage for wireshark
* cb556d9cf kdeconnect: update to 1.2
* 51a3d41e2 groups/kde-applicatons: remove libkface from build group
* 45c55fe80 kde-l10n: update to 17.08.2
* 5834cf2ff klinkstatus: update to 17.08.2
* 9bc74f5eb kimagemapeditor: update to 17.08.2
* e15133a5c kfilereplace: update to 17.08.2
* 68e68542d sweeper: update to 17.08.2
* dff441792 print-manager: update to 17.08.2
* d083be9ee kwalletmanager: update to 17.08.2
* ff395494e ktimer: update to 17.08.2
* 8ce0c75e8 kteatime: update to 17.08.2
* 7b81b5c07 kremotecontrol: update to 17.08.2
* add170b1f kgpg: update to 17.08.2
* 5629cc009 kfloppy: update to 17.08.2
* b1cf48c6c kdf: update to 17.08.2
* 0fd2fbdaa kdebugsettings: update to 17.08.2
* 2b1620e0a kcharselect: update to 17.08.2
* 4ebf0be38 kcalc: update to 17.08.2
* dd695e181 filelight: update to 17.08.2
* c0a6199e8 ark: update to 17.08.2
* e2215d41c umbrello: update to 17.08.2
* 205e1ebd9 poxml: update to 17.08.2
* 588cc26ff okteta: update to 17.08.2
* 79371da0f lokalize: update to 17.08.2
* bedf95c0e kompare: update to 17.08.2
* 65a74cf26 kcachegrind: update to 17.08.2
* 8898587ac kapptemplate: update to 17.08.2
* 2fabc824c dolphin-plugins: update to 17.08.2
* 6bc109d15 kde-dev-scripts: update to 17.08.2
* e9093cd28 kde-dev-utils: update to 17.08.2
* b669074db cervisia: update to 17.08.2
* b38c64228 kmail: update to 17.08.2
* 841098fa9 pim-sieve-editor: update to 17.08.2
* d217d9aee pim-data-exporter: update to 17.08.2
* 58299dd65 mbox-importer: update to 17.08.2
* 44cf3bfb0 korganizer: update to 17.08.2
* cedc0ec61 kontact: update to 17.08.2
* 8b70276b9 knotes: update to 17.08.2
* 55b18f9aa kmail-account-wizard: update to 17.08.2
* 0847408f5 kleopatra: update to 17.08.2
* 7e7e9d29c kdepim-addons: update to 17.08.2
* 6441fb2dd kalarm: update to 17.08.2
* 59aa92430 kaddressbook: update to 17.08.2
* d320b89cf grantlee-editor: update to 17.08.2
* 481893175 blogilo: update to 17.08.2
* ef3e7c59f akregator: update to 17.08.2
* f774d74a1 akonadiconsole: update to 17.08.2
* cc0315edb akonadi-import-wizard: update to 17.08.2
* f028cd3a2 akonadi-calendar-tools: update to 17.08.2
* 0306de0a7 ktp-text-ui: update to 17.08.2
* 671df759a ktp-send-file: update to 17.08.2
* 28ba96009 ktp-kded-module: update to 17.08.2
* 5134bf961 ktp-filetransfer-handler: update to 17.08.2
* 98e8205c4 ktp-desktop-applets: update to 17.08.2
* d50bef618 ktp-contact-runner: update to 17.08.2
* e3b3f5a7d ktp-contact-list: update to 17.08.2
* 73d697faf ktp-call-ui: update to 17.08.2
* 9f90cffb9 ktp-auth-handler: update to 17.08.2
* 82db6c2a5 ktp-approver: update to 17.08.2
* 173930760 ktp-accounts-kcm: update to 17.08.2
* 72366ae39 zeroconf-ioslave: update to 17.08.2
* 0d66b46ba krfb: update to 17.08.2
* 3240c0592 krdc: update to 17.08.2
* 3da205900 kopete: update to 17.08.2
* b126a7552 kget: update to 17.08.2
* e4e3fe425 kdenetwork-filesharing: update to 17.08.2
* a5c0b602a kwave: update to 17.08.2
* 8cb45b257 kscd: update to 17.08.2
* 879ede8dd kmix: update to 17.08.2
* fc61e97aa kdenlive: update to 17.08.2
* 468d88916 juk: update to 17.08.2
* 5cf9c0b99 k3b: update to 17.08.2
* 46badd42a ffmpegthumbs: update to 17.08.2
* f7463ceda dragon: update to 17.08.2
* de340772d audiocd-kio: update to 17.08.2
* 7ad966d4a svgpart: update to 17.08.2
* ea3b3f357 spectacle: update to 17.08.2
* 03bbddb66 okular: update to 17.08.2
* 6e52ad495 kruler: update to 17.08.2
* 5d0c4909e kolourpaint: update to 17.08.2
* 407616694 kcolorchooser: update to 17.08.2
* d4b25a866 kamera: update to 17.08.2
* 8cf3fcd84 gwenview: update to 17.08.2
* 9d6a5a4e7 picmi: update to 17.08.2
* 0640133cb palapeli: update to 17.08.2
* 31171417c lskat: update to 17.08.2
* 41a2f3249 kubrick: update to 17.08.2
* e0c999a32 ktuberling: update to 17.08.2
* e3f9a883f ksudoku: update to 17.08.2
* bbaca5f81 ksquares: update to 17.08.2
* a10f7ded0 kspaceduel: update to 17.08.2
* 2f6a4ccbe ksnakeduel: update to 17.08.2
* f006e5eb4 ksirk: update to 17.08.2
* a0d32f3c3 kshisen: update to 17.08.2
* a339f6d32 kreversi: update to 17.08.2
* 78a40b0da kpat: update to 17.08.2
* c7e1e477d konquest: update to 17.08.2
* d8e0c2fc8 kollision: update to 17.08.2
* fd03c7bfa kolf: update to 17.08.2
* 6fa88c3c1 knetwalk: update to 17.08.2
* 0c08dd58d knavalbattle: update to 17.08.2
* 039118205 kmines: update to 17.08.2
* aa6adb72a kmahjongg: update to 17.08.2
* c5171fb25 klines: update to 17.08.2
* cc9957725 klickety: update to 17.08.2
* 1c2afa76f kjumpingcube: update to 17.08.2
* 93689e412 kiriki: update to 17.08.2
* 671568f69 killbots: update to 17.08.2
* fb1f50f96 kigo: update to 17.08.2
* 463e72439 kgoldrunner: update to 17.08.2
* da3a0342d kfourinline: update to 17.08.2
* 67cf7377c kdiamond: update to 17.08.2
* a0415a4f8 kbreakout: update to 17.08.2
* 9415a99b9 kbounce: update to 17.08.2
* ba059761c kblocks: update to 17.08.2
* 44d2595dd kblackbox: update to 17.08.2
* 9208435e3 katomic: update to 17.08.2
* 9890f4b92 kapman: update to 17.08.2
* 2c734a194 kajongg: update to 17.08.2
* 7e8683e49 granatier: update to 17.08.2
* 282b9717d bovo: update to 17.08.2
* b45c34d22 bomber: update to 17.08.2
* 29d1510e6 step: update to 17.08.2
* 3581e76fa rocs: update to 17.08.2
* 178428eab parley: update to 17.08.2
* 40fb2ffdc minuet: update to 17.08.2
* ae040a636 marble: update to 17.08.2
* e23f84cce kwordquiz: update to 17.08.2
* c8786021b kturtle: update to 17.08.2
* f28038bb1 ktouch: update to 17.08.2
* dd34a8809 kstars: update to 17.08.2
* 5ecc6c38b kmplot: update to 17.08.2
* 4769f386b klettres: update to 17.08.2
* 7efe20b2b kiten: update to 17.08.2
* e7d36e444 kig: update to 17.08.2
* 936a04fdb khangman: update to 17.08.2
* 7397f707b kgeography: update to 17.08.2
* 02fdb8240 kbruch: update to 17.08.2
* 05f7eea4b kanagram: update to 17.08.2
* 8ffddb9eb kalzium: update to 17.08.2
* a654fcd99 kalgebra: update to 17.08.2
* 607a962c4 cantor: update to 17.08.2
* 66bd4480f blinken: update to 17.08.2
* 46fb1ab22 artikulate: update to 17.08.2
* 68ac0bafa konqueror: update to 17.08.2
* 911f79e56 kfind: update to 17.08.2
* 11e9ceed7 kdialog: update to 17.08.2
* 0030e1361 kate: update to 17.08.2
* 9b2f31617 ksystemlog: update to 17.08.2
* 543885218 kcron: update to 17.08.2
* 1009ce059 kmouth: update to 17.08.2
* 9a9fb9c49 kmousetool: update to 17.08.2
* 3fe07ab3c kmag: update to 17.08.2
* 579852ebf kaccessible: update to 17.08.2
* 0530f9ca5 jovie: update to 17.08.2
* 109d0f18f khelpcenter: update to 17.08.2
* 3f35265c6 ktp-common-internals: update to 17.08.2
* 0ac880db0 kaccounts-providers: update to 17.08.2
* a787588df kaccounts-integration: update to 17.08.2
* 301faf9aa signon-kwallet-extension: update to 17.08.2
* 39790cb06 kdepim-runtime: update to 17.08.2
* e01bbd8a2 mailcommon: update to 17.08.2
* be50d50da messagelib: update to 17.08.2
* c672b9ad3 libksieve: update to 17.08.2
* ca8ab1baf incidenceeditor: update to 17.08.2
* ec7539fa6 eventviews: update to 17.08.2
* 859d2f390 calendarsupport: update to 17.08.2
* 899da635f kdepim-apps-libs: update to 17.08.2
* 099016bba mailimporter: update to 17.08.2
* d97cbd21f libgravatar: update to 17.08.2
* 64f3f4fc8 grantleetheme: update to 17.08.2
* 052b8eb11 libkleo: update to 17.08.2
* b5b283a45 pimcommon: update to 17.08.2
* 2beb8c92a libkdepim: update to 17.08.2
* 1e2eb0deb libkgapi: update to 17.08.2
* fd08f1d76 kdav: update to 17.08.2
* fc39da0a0 kalarmcal: update to 17.08.2
* 488fd3bc0 akonadi-calendar: update to 17.08.2
* 13c76e53d akonadi-search: update to 17.08.2
* 9036ab655 akonadi-notes: update to 17.08.2
* 0857af203 akonadi-contacts: update to 17.08.2
* 1a2074567 kmailtransport: update to 17.08.2
* d65c4d84e akonadi-mime: update to 17.08.2
* f25289842 akonadi: update to 17.08.2
* 4fb05b88c ktnef: update to 17.08.2
* ec8e52764 kontactinterface: update to 17.08.2
* c14be662d kldap: update to 17.08.2
* 23e0ac747 kmbox: update to 17.08.2
* 1707d35e0 kimap: update to 17.08.2
* 8cb1223d4 kmime: update to 17.08.2
* 181a53a45 kblog: update to 17.08.2
* d5b748971 syndication: update to 17.08.2
* 67dd515f3 kholidays: update to 17.08.2
* 56b477535 kcalutils: update to 17.08.2
* 80bc6a0ef kidentitymanagement: update to 17.08.2
* 524c3c618 kpimtextedit: update to 17.08.2
* 0d3a7e3e4 kcalcore: update to 17.08.2
* cb03314c3 kcontacts: update to 17.08.2
* f87d6ba5a kqtquickcharts: update to 17.08.2
* 06bf6fdac libkomparediff2: update to 17.08.2
* 209088fae libkmahjongg: update to 17.08.2
* e817809c5 libkdegames: update to 17.08.2
* 83778406e libkcompactdisc: update to 17.08.2
* 29363545a libkcddb: update to 17.08.2
* ac067f3b5 libkeduvocdocument: update to 17.08.2
* a946b6489 analitza: update to 17.08.2
* 4f51b2a18 libksane: update to 17.08.2
* f242789f4 libkipi: update to 17.08.2
* 71a28ad63 dolphin: update to 17.08.2
* bd310963d konsole: update to 17.08.2
* e207d9b90 keditbookmarks: update to 17.08.2
* 18c946e13 baloo-widgets: update to 17.08.2
* 34c529f18 kio-extras: update to 17.08.2
* 7a4fa1741 kdegraphics-thumbnailers: update to 17.08.2
* 01e3c34ce libkdcraw: update to 17.08.2
* 7cc08b5c4 libkexiv2: update to 17.08.2
* 72e03b262 kdeedu-data: update to 17.08.2
* 18481207c kdegraphics-mobipocket: update to 17.08.2
* 2c7ab6bea kde-runtime: update to 17.08.2
* bcbf22e8a kdelibs: update to 4.14.37
* 9c48ac168 libkface: drop
* 8fd49fe54 libqaccessibilityclient: new, 0.2.0
* 23ff36758 discover: update to 5.11.2
* 4c46d4380 breeze-plymouth: update to 5.11.2
* 33e471f8f breeze-grub: update to 5.11.2
* 3d533aeab xdg-desktop-portal-kde: update to 5.11.2
* 851a1c75a kgamma: update to 5.11.2
* eed107c22 kwallet-pam: update to 5.11.2
* 143ab29d8 user-manager: update to 5.11.2
* 46052d750 plasma-sdk: update to 5.11.2
* 1a7a97fa6 sddm-kcm: update to 5.11.2
* a0193e035 ksshaskpass: update to 5.11.2
* 5797a8f2e kscreen: update to 5.11.2
* e08ecead0 kde-gtk-config: update to 5.11.2
* 8e7fc91bf bluedevil: update to 5.11.2
* 86d719827 kdeplasma-addons: update to 5.11.2
* ba98a04b7 kwrited: update to 5.11.2
* 02143e5c9 plasma-desktop: update to 5.11.2
* 07a350090 plasma-pa: update to 5.11.2
* b2c9050d6 plasma-nm: update to 5.11.2
* b7deb3ea0 plasma-workspace-wallpapers: update to 5.11.2
* 9c0f6fa28 polkit-kde-agent-1: update to 5.11.2
* d5d230497 powerdevil: update to 5.11.2
* 37166e42f kmenuedit: update to 5.11.2
* 8b1fc7ed0 systemsettings: update to 5.11.2
* 063def129 ksysguard: update to 5.11.2
* 57457d4ce kinfocenter: update to 5.11.2
* ff7197253 khotkeys: update to 5.11.2
* 62dd27d9e kde-workspace: update to 5.11.2
* a805040d4 kwayland-integration: update to 5.11.2
* cc7b16a7c plasma-integration: update to 5.11.2
* 0fe619eea milou: update to 5.11.2
* 2ed28438c libkscreen: update to 5.11.2
* af4c02c50 libksysguard: update to 5.11.2
* dccf88b8e kde-cli-tools: update to 5.11.2
* a7c5b3f39 kwin: update to 5.11.2
* fab5ccb54 breeze: update to 5.11.2
* 9fa216e50 breeze-gtk: update to 5.11.2
* 3b643a118 oxygen: update to 5.11.2
* 50672c8e6 kdecoration: update to 5.11.2
* e77b50e29 kscreenlocker: update to 5.11.2
* 7eeaa8cd7 kactivitymanagerd: update to 5.11.2
* 927bc93b6 breeze-icons: update to 5.39.0
* a7e627cc5 oxygen-icons: update to 5.39.0
* 206fe43cf baloo: update to 5.39.0
* 8a46efd72 kross: update to 5.39.0
* 252293ded kmediaplayer: update to 5.39.0
* 6afca425b kjsembed: update to 5.39.0
* 66ed8fc1c khtml: update to 5.39.0
* 5b4df0606 kdelibs4support: update to 5.39.0
* 460688afa qqc2-desktop-style: update to 5.39.0
* e4362a902 prison5: update to 5.39.0
* f8a5cf04a networkmanager-qt: update to 5.39.0
* 8447512e5 modemmanager-qt: update to 5.39.0
* e105fa6db kxmlrpcclient: update to 5.39.0
* 6d4d7fcc1 kwayland: update to 5.39.0
* fb48e402d ktexteditor: update to 5.39.0
* 56c3e0349 krunner: update to 5.39.0
* ab811e9b0 kpeople: update to 5.39.0
* 50dc1118e knotifyconfig: update to 5.39.0
* 2c7329deb kitemmodels: update to 5.39.0
* 72fc351f9 kimageformats: update to 5.39.0
* ea5eb24bd kidletime: update to 5.39.0
* 26ef3debc kemoticons: update to 5.39.0
* bbfe19082 kdnssd: update to 5.39.0
* 8f2adbd82 kdesu: update to 5.39.0
* 8996b78ec kded: update to 5.39.0
* 0a9319cee frameworkintegration: update to 5.39.0
* 3876af61c kirigami2: update to 5.39.0
* 56e0279a2 knewstuff: update to 5.39.0
* 783270afa bluez-qt: update to 5.39.0
* 6a10ecba6 kfilemetadata: update to 5.39.0
* cf3a7194f kjs: update to 5.39.0
* 032f8d0c6 plasma-framework: update to 5.39.0
* 21c67a977 kactivities-stats: update to 5.39.0
* 7d713505f kactivities: update to 5.39.0
* 63cbfc363 kcmutils: update to 5.39.0
* 213e544b8 threadweaver: update to 5.39.0
* d3983828f kunitconversion: update to 5.39.0
* 745ed9ed5 kpty: update to 5.39.0
* c2d16bc53 kdesignerplugin: update to 5.39.0
* 16fe22f8c kplotting: update to 5.39.0
* e858e383b kdewebkit: update to 5.39.0
* 69cf244b5 kparts: update to 5.39.0
* 0eea5522c kdeclarative: update to 5.39.0
* 582aef841 kpackage: update to 5.39.0
* 2440ac367 kinit: update to 5.39.0
* 2c21a9d30 kio: update to 5.39.0
* d7c4d375c kwallet: update to 5.39.0
* 35498ae8d knotifications: update to 5.39.0
* 5342b017c kjobwidgets: update to 5.39.0
* c1e70527d solid: update to 5.39.0
* d8149c2a1 kbookmarks: update to 5.39.0
* 284c84ad5 kxmlgui: update to 5.39.0
* b175d0d2f ktextwidgets: update to 5.39.0
* 309bae1db sonnet: update to 5.39.0
* 6a3fad8c6 kiconthemes: update to 5.39.0
* b1faa847c kitemviews: update to 5.39.0
* ad8a9a077 kglobalaccel: update to 5.39.0
* 90035bd9a kservice: update to 5.39.0
* bb7418144 attica5: update to 5.39.0
* e952434f1 kdbusaddons: update to 5.39.0
* 38bb39076 kcrash: update to 5.39.0
* 60fa1d49c kwindowsystem: update to 5.39.0
* 8b59ad9aa kconfigwidgets: update to 5.39.0
* d1b78434e kguiaddons: update to 5.39.0
* df86aeb2f kcompletion: update to 5.39.0
* 752f872b9 kwidgetsaddons: update to 5.39.0
* a051d2759 kconfig: update to 5.39.0
* 9592857fa kcodecs: update to 5.39.0
* e927cdfb9 kauth: update to 5.39.0
* 766c80dac kdoctools: update to 5.39.0
* d26322197 ki18n: update to 5.39.0
* 632f0469a karchive: update to 5.39.0
* 3d82e06fb kcoreaddons: update to 5.39.0
* c49c90fd7 kapidox: update to 5.39.0
* ca7d45558 syntax-highlighting: update to 5.39.0
* ddcf7cb01 extra-devel/extra-cmake-modules: update to 5.39.0
* 3163cd030 groups/kf5: update build list for 5.39.0
* 9d5ca7c01 zynaddsubfx: fix build and turn on LTO
* d4146abbf zynaddsubfx: build with ntk
* 0974c3034 kernel meta: bump for 4.13.9 and 4.9.58
* 3f8449bf6 linux-kernel-libre: upgrade to 4.13.9
* 059798f45 linux-kernel-lts: upgrade to 4.9.58
* 64882beae linux-kernel: upgrade to 4.13.9
* 99edf0e82 desktop-base: upgrade to 20171021 for render
* 161ea38b8 wine: upgrade to 2.19 w/ staging
* ffa7dfbe3 openra: fix build again
* 17cd1aa0b openra: drop git binary patch
* 1c75516b3 openra: install TS mod
* a13649609 openra: fix installation
* bff05ea47 openra: update to 20171014, noarchize
* 35f8b1047 kodi: disable LTO
* 5fa6067d3 kodi: update to 17.4; fix #823
* f962eaf59 rustc: update to 1.21.0
* 00b180edd typescript: update to 2.5.3
* 9e3e7087c atk: update to 2.26.1
* 29e60ad47 gnome-user-docs: update to 3.26.1.1
* d26871613 rest: update to 0.8.1
* 70087949a rest: update to 0.8.1
* 645422405 libsoup: update to 2.60.1
* 641363cbe goocanvas: update to 2.0.4
* 5ecb71879 retroshare: add qtchooser builddep
* e736845a6 xf86-video-intel: update to 20171018
* 3984d8037 tint2: update to 15.2
* cbb67c84a retroshare: update to 0.6.3
* 809380396 brave-browser: update to 0.19.53
* 531ba0dc3 axel: update to 2.15
* 6fd53de9a xarchiver: update to 0.5.4.12
* f968b01ff uboot-tools: update to 2017.09
* d18bc852a thefuck: update to 3.24
* 9bdc680c7 rhash: update to 1.3.5
* 1f2389ef5 maim: update to 5.4.68
* 2a399d901 slop: update to 7.3.49
* dec753590 inxi: update to 2.3.40
* acb7d92ca gifsicle: update to 1.90
* d39937a9a fzf: update to 0.17.1
* a1f6617c1 cloc: update to 1.74
* 2b623a3ce numix-icon-theme: update to 20170924
* 1a17ed501 evopop: update to 0.11
* 752865a8b zsh-syntax-highlighting: update to 0.6.0
* a7b958b5d yubioath-desktop: update to 4.2.0
* ce3fd3387 yubikey-personalization: update to 1.18.0
* 9331d59df yubikey-manager: update to 0.4.6
* 5956d3638 bullet: update to 2.87
* ad47924c7 ruby-gtk2: update to 3.1.9
* 7e2f166da ruby-gdk-pixbuf: update to 3.1.9
* 5026df6e8 ruby-atk: update to 3.1.9
* a0ea94e71 ruby-pango: update to 3.1.9
* cfd5476cd ruby-gobject-introspection: update to 3.1.9
* e2cba7ffc ruby-gettext: update to 3.2.4
* 37d32c182 ruby-glib2: update to 3.1.9
* fa0163122 ruby-cairo-gobject: update to 3.1.9
* adbaa1f2c ruby-gio2: update to 3.1.9
* 3139f209d ruby-pkg-config: update to 1.2.8
* dea13a80f tqdm: update to 4.19.4
* 23540a4f1 python-xlib: update to 0.20
* d2ad71b8f pycuda: update to 2017.1.1
* 2b587f188 ipython: update to 6.2.1
* 3b8b751d4 idna: update to 2.6
* ea879ffcb hyperlink: update to 17.3.1
* 249181166 fpylll: update to 0.3.0dev
* 4c000aeed cysignals: update to 1.9.5
* 13f8d398e xrdp: update to 0.9.4
* c2e2c7b80 siege: update to 4.0.4
* 1fcb0576b magic-wormhole: update to 0.10.3
* 8e27ee158 lantern: update to 4.2.3
* 60c07a217 kcptun: update to 20170930
* 29de5871b cmst: update to 2017.09.19
* 8154036c4 mpd: update to 0.20.11
* 3c09ed193 gst-transcoder: update to 1.12.2
* a3da25f20 ffmpeg{,+32}: update to 3.4
* 914905bf6 wlc: update to 0.0.10
* 547d7f273 vulkan: update to 1.0.61.0
* 4e3aad0ed tslib: update to 1.13
* e05aadc27 snappy: update to 1.1.7
* be3fdf7bc re2c: update to 1.0.2
* 4f145e00c ntk: update to 20171004 (tag 1.3.10000)
* df9550683 mocp: rebuild
* 816f50525 pyqt5: rebuild for qt-5
* 3d22282b4 lxqt-qtplugin: rebuild for qt-5
* 60dccc92f qupzilla: rebuild for qt-5
* d52d15166 qgnomeplatform: rebuild for qt-5
* 07bd712f7 calibre: rebuild for qt-5
* 0366c5cfa fcitx-qt5: rebuild for qt-5
* 12e2934d8 protobuf-c: update to 1.3.0; rebuild for protobuf
* 97de643e4 mosh: rebuild for protobuf
* ad7d82c47 mixxx: rebuild for protobuf
* e41450c98 konqueror: rebuild for protobuf
* 615d7a839 gnome-contacts: rebuild for protobuf
* ee8d9ba1a evolution: rebuild for protobuf
* b922d9cc2 libphonenumber: rebuild for protobuf
* 389456620 compiz: rebuild for protobuf
* 094afe143 clementine: rebuild for protobuf
* 093661f6d appstream: rebuild for protobuf
* 23d6f20fc anbox: update to 20171020; rebuild for protobuf
* b44d0cd74 yarn: new
* f3f2187a0 qt-5: rebuild for protobuf; fix build; fix #791
* e41134b4c protobuf: update to 3.4.1
* 85413e7c5 libuv: update to 1.15.0
* 18d1d79f4 libuninameslist: update to 20170807
* a1139b727 libuhd: update to 003.010.002.000
* 045b3363c libu2f-host: update to 1.1.4
* 2520d60f3 shadowsocks-qt5: update to 2.9.0
* 1f9ceb7b0 libqtshadowsocks: update to 1.11.0
* d843d9cbc libpqxx: update to 1.11.0
* e6cd8c881 libmpdclient: update to 2.13
* 8de4355ad libjpeg-turbo{,+32}: update to 1.5.2
* 5ee70085e libgit2-glib: update to 0.26.0
* 180002d81 jasper: update to 2.0.14
* e6ca12eb1 glm: update to 0.9.8.5
* 19836bb13 fplll: update to 5.2.0
* 833db8ca0 cpp-hocon: update to 0.1.6
* 9537fdea9 kcm-fcitx: update to 0.5.5
* a72867085 kaffeine: update to 2.0.13
* 657b109c2 gradle: update to 4.2.1
* 551140e5f hunspell: update to 1.6.2
* 6504e3345 fcitx-table-other: update to 0.2.4
* 22598549c fcitx-table-extra: update to 0.3.8
* ac808daba fcitx-sunpinyin: update to 0.4.2
* ce8e70ffb fcitx-rime: update to 0.3.2
* 8301abfa6 fcitx-qt5: update to 1.1.1
* 10d8631b8 fcitx-m17n: update to 0.2.4
* 7f7d7e1b1 ibus: let ibus (program) depend on libpinyin
* 77a632eca ibus-libpinyin: update to 1.9.2; rebuild for libpinyin
* ef77742f7 fcitx-libpinyin: update to 0.5.3; rebuild for libpinyin
* 596f4d261 libpinyin: update to 2.1.0
* 1d4512685 fcitx-hangul: update to 0.3.1
* 7042aef19 fcitx-configtool: update to 0.4.10
* 8860b3f72 fcitx-cloudpinyin: update to 0.3.5
* a877776af fcitx-chewing: update to 0.2.3
* 57a4c3f1c fcitx-anthy: update to 0.2.3
* 876789885 fcitx: update to 4.2.9.4
* ff4ecd5c8 glide: update to 0.13.0
* c9ca3a9d8 taisei: update to 20171020
* 67a5f9426 manaplus: update to 1.7.10.14
* 3f98ca82f ddnet: update to 10.8.6
* 32627e8e9 roboto-fonts: update to 2.138
* 81c59151a fonttools: update to 3.17.0
* 951dea1d5 elixir: update to 1.5.2
* 018e742df open-vm-tools: update to 10.1.15
* caf4aa203 kicad: update to 4.0.7
* 4fa7432c7 dub: update to 1.5.0
* e842ae173 dmd: update to 2.076.1
* 250238a7e ninja: update to 1.8.2
* 31b27ec87 meson: update to 0.43.0
* ff3a8662e liteide: update to 32.2
* cfd5d6831 crash: update to 7.2.0
* 861043536 sqlitebrowser: update to 3.10.1
* 335c95af6 redis: update to 4.0.2
* 48c7999d1 mongodb-tools: update to 3.4.9
* 5efee66ec mongodb: update to 3.4.9
* 17e09ed78 mongodb: update to 3.4.9
* 61f1e075c hiera: update to 3.4.2
* 10cabbff6 Fix a typo in ruby-gettext/autobuild/defines
* 459af36db cinnamon: update to 3.4.6
* cfb1f1ab8 nemo: update to 3.4.7
* 604cf3b4e muffin: update to 3.4.1
* c65af74d8 cjs: update to 3.4.4
* f4a812c0c cinnamon-settings-daemon: update to 3.4.4
* 151cc566d cinnamon-session: update to 3.4.2
* 85cf9bfb6 cinnamon-screensaver: update to 3.4.3
* 8f2fb8dec glmark2: update to 20170908
* 605a07c27 systemd: update to 235
* 2f64da96d pstate-frequency: update to 3.8.0
* 4fd7bf85c powerpc-utils: update to 1.3.4
* 6d9e85945 netdata: update to 1.8.0
* 7808d5181 multipath-tools: update to 0.7.3
* cabf0c312 glances: update to 2.11.1
* eb8e50e1d ceph: update to 10.2.10 (FTBFS)
* 61984a6ce expat{,+32}: update to 2.2.4
* 53a243a89 bazel: update to 0.7.0
* 7453f511e zfs: rebuild for libtirpc, mark explicit dep to libtirpc
* ec9dc0c8e libtirpc: add zfs breakage
* 4036fa6b4 git: update to 2.14.2
* fb8727cda tilix: update to 1.7.1
* 2f4c15113 nvchecker: update to 0.5
* 74b9fd1b3 lz4: update to 1.8.0
* 6e576cee6 blueman: update to 2.0.5
* b721e31fc mapcrafter: bump epoch
* 3e2548566 adapta: update to 3.91.2.256
* 46c344f15 imagemagick: remove unnecessary rebuild lists
* 63fde602e zbar: rebuild for imagemagick
* cb19756e8 xine-lib: rebuild for imagemagick
* 9abd44868 vapoursynth: rebuild for imagemagick
* 8c164ef72 zimg: update to 2.6.1
* 36fed52a1 transcode: rebuild for imagemagick
* e1b52bc71 synfig: update to 1.2.1; rebuild for imagemagick
* d6437f022 mlt: fix build on glibc 2.26
* eac00591f etl: update to 1.2.1
* c10b83316 sk1: rebuild for imagemagick
* 1097222a1 pstoedit: rebuild for imagemagick
* 1b04e4481 psiconv: rebuild for imagemagick
* 377fc9260 playonlinux: rebuild for imagemagick
* 38104599c mgba: update to 0.6.1; rebuild for imagemagick
* 3fb1ff813 mapcrafter: update to 2.4; rebuild for imagemagick
* 37a2ddbed lyx: rebuild for imagemagick
* bece3481e inkscape: rebuild for imagemagick
* 62805c1cf hhvm: update to 3.22.0
* ac5056a65 feh: rebuild for imagemagick
* 0c29a2541 emacs: rebuild for imagemagick
* e2b000a8d dvdrip: rebuild for imagemagick
* 97fc9f1b1 dvdauthor: rebuild for imagemagick
* 15fcd1f80 digikam: rebuild for imagemagick
* b6bba69bd caja-extensions: rebuild for imagemagick
* 53b025043 a2ps: rebuild for imagemagick
* c1614ae37 imagemagick: add breakage
* 6d133abd7 sqlmap: update to 1.1.10
* f71167915 metasploit: update to 4.16.11
* 4fa93e1fc keybase: update to 1.0.33
* c57423996 boinc: update to 7.8.3
* f6a2b965f ruby-bundler: update to 1.15.4
* b2d7df75d apsw: update to 3.20.1
* 7c80343ba calibre: update to 3.10.0
* 0e234c9d4 lxml: update to 4.1.0
* de3e6e240 html5-parser: new, 0.4.4
* 74ed9aabf calibre: update to 3.10.0
* ce1af8d04 xl2tpd: update to 1.3.10
* 40df4de3b syncthing-gtk: update to 0.9.2.6
* 233dff683 syncthing: update to 0.14.39
* d7bcee5a4 youtube-dl: update to 2017.10.15.1
* 549d627fb you-get: update to 0.4.939
* a90dd5c05 mpv: update to 0.27.0
* ed7fb6062 mkvtoolnix: update to 17.0.0
* dd43d466d lollypop: update to 0.9.304
* fa095f5bb fsharp: update to 4.1.28
* 6442c6329 mate-theme: update to 3.22.14
* e31c76dff nghttp2: update to 1.26.0
* 00cff5c07 mesa: update to 17.2.3
* 3693eabeb nix: update to 1.11.15; rebuild for libsodium
* 56859ca04 megasync: rebuild for libsodium
* ae524db89 toxcore: update to 0.1.10; rebuild for libsodium
* 82e05b9bf simple-obfs: rebuild for libsodium
* 81a49d067 pynacl: rebuild for libsodium
* a75aea8e2 pcap-dnsproxy: update to 0.4.9.4; rebuild for libsodium
* 791802017 shadowsocks-libev: rebuild for libsodium
* 0ea8d7b0e zeromq: rebuild for libsodium
* 79f11840b dnscrypt: rebuild for libsodium
* d4e165ecd libsodium: update to 1.0.15
* fe7af011b libraw: update to 0.18.5
* 514ef8a04 libinput: update to 1.9.0
* e9aee6e3c libgusb: update to 0.2.11
* e846abdb4 leatherman: update to 1.3.0
* a48fcec39 harfbuzz{,+32}: update to 1.6.0
* 47adf7d43 poedit: update to 2.0.4
* c75617be0 ibus-chewing: update to 1.6.1
* f1f04f89f cmake-fedora: new, 2.9.2
* 3533f12b0 ibus: remove gtk dependencies to prevent a loop
* 16a6b901c qgnomeplatform: update to 0.3
* 4e5e10f53 fontforge: update to 20170731
* 8306385b3 winetricks: update to 20171018
* b796d268a oregano: update to 0.84.13
* 9fc855e92 vscode: update to 1.17.2
* d4cb49e38 vis: update to 0.4
* 1976ee59c emscripten: update to 1.37.22
* e455ebd6f cppcheck: update to 1.81
* fcc6bb6ab phoronix-test-suite: update to 7.4.0
* f91a724ae packagekit: update to 1.1.7
* 6f3b2bc8f gnome-software: rebuild for fwupd
* 2d2b40da7 fwupd: update to 1.0.0
* ff76880ae flatpak: update to 0.9.12
* f1def6473 ostree: update to 2017.12
* d0c35786a efivar: update to 32
* 4348a1901 appstream: update to 0.11.6
* 6aac11db1 nodejs: update to 8.7.0; npm 5.5.1
* a221be97d vim: update to 8.0.1203
* c8557d0a8 wine: upgrade to 2.18 w/ staging
* 3efc2c590 linux-kernel-lts: upgrade to 4.9.57
* aa74186c9 linux-kernel: upgrade to 4.13.8
* 808b2c97c obs-studio: upgrade to 20.1.0
* f304eb728 wireguard: update to 0.0.20171017
* 46bb36ebb v2ray: update to 2.41, special
* fc794a433 atom: update to 1.21.1
* 20a97d5b7 hwdata: update to 0.305
* 241c4ab3d python-efl: update to 1.20.0
* 2220a3eff virt-manager: update to 1.4.3
* 3e3deba46 e2fsprogs: update to 1.34.7
* 7d792c5fe fox: update to 1.7.61
* 890f14874 mpg123{,+32}: update to 1.25.7
* f347511ed anki: update to 2.0.48
* f6c596985 wireshark: update to 2.4.2
* 1e9b4f885 virt-what: update to 1.18
* f23c8b340 certifi: update to 2017.7.27.1
* e5be86b8f fuocore: update to 0.0.6
* cf891b2a9 qownnotes: update to 17.10.5
* f5701a300 debianutils: update to 4.8.2
* c8357ca9f qtcreator: update to 4.4.1
* 44c10ed3a libapt-pkg-perl: update to 0.1.33
* 96376a0a1 unifont: update to 10.0.06
* 7bd92b181 openmpi: update to 2.1.2
* 748972ee9 afl: update to 2.51b
* 313dc367d requests: updat eto 2.18.4
* a488885b8 parallel: update to 20170922
* b0b79f4e4 util-linux: update to 2.30.2
* 8dda4b648 python-caja: update to 1.18.1
* 78a19ab36 mate-session-manager: update to 1.18.1
* 9f588cb62 mate-panel: update to 1.18.4
* 049647b99 caja: update to 1.18.4
* 5b598543c atril: update to 1.18.1
* 09fec0eb8 r: update to 3.4.2
* c4c70398d anbox: update to 20171016
* 900075875 mlterm: update to 3.8.3
* 75d46743c eyed3: update to 0.8.2
* 75af2e60e groups/certbot: update to 0.19.0
* bbd32099f feh: update to 2.21
* 87ead5c52 smplayer: update to 17.10.2
* ed4a4b078 libmwaw: update to 0.3.12
* 24d2b7385 libwps: update to 0.4.7
* 907866934 gap: update to 4.8.8
* a50f3e115 cffi: update to 1.11.2
* 3335d9fe1 pyqt5: update to 5.9
* 604948e24 sip: update to 4.19.3
* e638c5b50 iproute2: update to 4.13.0
* f1d4f5c64 gnulot: update to 5.2.0
* 2e4cf2868 openvswitch: update to 2.8.1
* 50a645ef6 jmol: update to 14.20.8
* 9f5cdd460 libpng,libpng-1.6+32: update to 1.6.34
* b9fb41186 powertop: update to 20170721
* c7ffd4747 firefox: update to 56.0.1
* 409f36b50 wireguard: update to 0.0.20171011
* caad232c6 opencv: update to 3.3.0
* 37a510bac cfitsio: update to 3.420
* 7b2ee7398 lxc: update to 2.1.0
* 94dc4d924 imagemagick: update to 6.9.9+20
* e6aada28e xfsprogs: update to 4.13.1
* c8fad5d00 stellarium: update to 0.16.1
* 957ca200d w3m: update to 20170827
* dbd0685c4 ardour: update to 5.12
* e9cfbfbf9 glibmm: update to 2.54.1
* 43cd285f1 pypy3: update to 5.9.0
* 602e18520 pypy: update to 5.9.0
* ec26d512d fakeroot: update to 1.22
* bfd2fd3e3 fasm: update to 1.71.64
* ddccb7904 claws-mail: update to 3.15.1
* 9d4829176 openvpn: update to 2.4.4
* 8455f64c8 sqlite{,+32}: update to 3.20.1
* 5280b7760 tcl: rebuild to update static LTO version
* 70dee3309 0ad: update to 0.0.22
* 1ead0e046 edi: update to 0.6.0
* f29c4a2b3 terminology: update to 1.1.1
* e4e201b94 ephoto: update to 20171011
* 92ffd9a90 enlightenment: update to 0.21.10
* 14583f26f efl: update to 1.20.4
* 784ea9095 django: update to 1.11.6
* aa5fa92ed fossil: update to 2.3
* a90ce2e06 mobile-broadband-provider-info: update to 20170904
* 83a85b093 krita: update to 3.3.1
* 04e870d74 redland: rebuild for postgresql update
* a2c98711e qt-5: update to 5.9.2
* 9812ab232 linux-kernel-lts: upgrade to 4.9.56
* b0b29f1b5 linux-kernel: upgrade to 4.13.7
* 432caf583 postgresql: Update to 10.0
* 8aa611b99 xorg-server: update to 1.19.5
* 8818da87d ounit: update to 2.0.5; rebuild for ocaml
* ab92f208a opam: rebuild for ocaml 4.05.0
* e97df5eb6 ocaml-ctypes: update to 0.11.5; rebuild for ocaml
* a64dc2530 lablgtk: rebuild for ocaml 4.05.0
* 7a702a0fe gmetadom: rebuild for ocaml 4.05.0
* 7b90c3b39 findlib: rebuild for ocaml 4.05.0
* 022c86ab7 facile: update to 1.1.3; rebuild for ocaml 4.05.0
* 2fb6c3217 camlp4: update to 4.05+2; rebuild for ocaml
* c1680a7dd ocamlbuild: rebuild for ocaml 4.05.0
* 37f1cfab1 ocaml: update to 4.05.0
* 0919cb0ca xfce4-whiskermenu-plugin: update to 1.7.3
* 7ae54ed0d busybox: update to 1.27.2
* de8940b48 putty: update to 0.70
* 344fddf44 strace: update to 4.19
* 5c2c3f1c5 papirus-icon-theme: update to 20171011
* b2612f9be papirus-libreoffice-theme: update to 20170914
* 151afb18a danmaku2ass: update to 20170730
* ad32574e0 bilidan: update to 20170703
* c7effb58d android-udev: update to 20171010
* 0fe25b84d shadowsocks: update to 20170906
* 9b3361eeb megasync: update to 3.1.4.0
* b01833395 shadowsocks-qt5: bump REL for PKGSEC change
* 9c721afbe qtchooser: add xdg configurations
* 056a01370 elvish: update to 0.10.1
* b22fe7619 dgsh: update to 20170930
* ac840be37 fisherman: bump REL for PKGSEC change
* bf1bb7800 dgsh: bump REL for PKGSEC change
* 05cd4c8d0 dash: bump REL for PKGSEC change
* e4b264b59 shadowsocks: bump REL for PKGSEC change
* adaba2e9e scapy: bump REL for PKGSEC change
* 16df77435 pyrit: bump REL for PKGSEC change
* 0680a8221 genpac: bump REL for PKGSEC change
* c4b92b81e touchmegames: bump REL for PKGSEC change
* 7d844d65e pingus: bump REL for PKGSEC change
* 1f21c13b7 xed: bump REL for PKGSEC change
* 0540e3add vis: bump REL for PKGSEC change
* 2881e215e neovim-qt: bump REL for PKGSEC change
* e839fc8c4 fontconfig: add helvetica match hack to non-bitmap
* fa4252b9d samba: remove old conffiles entry
* b4fc5deb8 iio-sensor-proxy: update to 2.3
* ff917f99d samba: update to 4.7.0
* 6b964cbd5 ldb: update to 1.3.0
* f424a9767 cmocka: new, 1.1.1
* 4f9a7c45b tevent: update to 0.9.33
* 42a70cc96 tdb: update to 1.3.15
* 39db4c74f talloc: update to 2.1.10
* 1fbcede93 potrace: update to 1.15
* ffbce5a38 Rename sec to maintain consistency
* e7fbdaf0f twisted: update to 17.9.0
* 360d6c2dd six: update to 1.11.0
* cf6d36c7e pypsutil: update to 5.3.0
* 7e50858f7 docutils: update to 0.14
* d9a820421 decorator: update to 4.1.0
* ef6dc584a cython: update to 0.27.1
* dae1eb616 cryptography: update to 2.0.3
* 8875709b6 numpy: update to 1.13.3
* c25717872 mariadb: update to 10.2.9
* 09ea0bea9 curl{,+32}: update to 7.56.0
* fa9e419a6 iosevka-*: update to 1.13.3
* e182df6bc inziu-iosevka-fonts: update to 1.13.3
* 236f10c8a hplip: update to 3.17.9
* f10849811 rakudo: update to 2017.07
* bef67a7e7 nqp: update to 2017.07
* b62d2702a moarvm: update to 2017.07
* 8699901c4 flightgear: update to 2017.3.1
* b3bfaacf0 flightgear: update to 2017.3.1
* 274f44d3e simgear: update to 2017.3.1
* 04d86cd7c qbittorrent: update to 3.3.16
* 6fa2d7dde haproxy: update to 1.7.9
* 45a989d7b geany-plugins: update to 1.31
* 55f910af9 geany: update to 1.31
* 04d0ae031 graphicsmagick: update to 1.3.26
* 8ec00588f po4a: update to 0.52
* 5b31c3839 racket: update to 6.10.1
* 204d02058 snd: update to 17.7
* 3c9487c8a skk-jisyo: update to 20171008 (noarch)
* ffcc341e6 rpcbind: rebuild for libtirpc
* 694d77084 libtool: rebuild for gcc 7.2 (BUILD BEFORE LINUX-PAM!)
* 96c57296f linux-pam: rebuild for libtirpc
* 4f021b5e3 libtirpc: update to 1.0.2
* c2d0c3bbc wxwidgets: make abi mismatch non-fatal
* 8c1c6461b libreoffice: further fixes
* 3b30abfe0 libxml-java: new, 1.1.6 (noarch)
* 71fed4790 usb-modeswitch: update to 2.5.1
* a2248b5f1 wcslib: update to 5.17
* a2b2e1998 elfutils: update to 0.170
* 717bfc64b botan: update to 1.10.17
* 5d66fa084 libzip: update to 1.3.0
* 4ed3ee09d man-pages: update to 4.13
* 9c442a685 babl: update to 0.1.34
* b9dc537ca libwacom: update to 0.26
* c9570bea9 mbedtls{,+32}: update to 2.6.0
* 1c335bfa2 catdoc: update to 0.95
* 9ddc88570 minicom: update to 2.7.1
* 9436c25f5 pure-data: update to 0.48+0
* 0ad558e53 pciutils: update to 3.5.5
* 92979e16b pulseaudio: update to 11.1
* 8d8d6bdb9 audacious,audacious-plugins: update to 3.9
* 56ea07739 intel-ucode: update to 20170707
* 2d810da62 freetype: update to 2.8.1
* ecc934701 fontconfig: update to 2.12.6
* 218b9e6c0 btrfs-progs: update to 4.13.2
* 6bd65fb95 zstd: update to 1.3.2
* 9e173b3e6 acpica-unix: update to 20170929
* 79236cb78 libinput: update to 1.8.3
* d7ddac3cc i3: update to 4.14.1
* 733814810 i3: update to 4.14.1
* aead0de46 gparted: update to 0.29.0
* 45a64c1cc virtualbox: update to 5.1.28
* 3ba913abf gsoap: update to 2.8.54
* a0f7fb222 tzdata: introduce to tree; update to 2017b
* e0063e888 erlang: update to 20.1
* caf781ae3 gnutls: update to 3.5.15
* de9ef2333 android-platform-tools: update to 8.0.0r17
* c6d3dceff sbcl: update to 1.4.0
* b6d8a1b03 sudo: update to 1.8.21p2
* 8245cc69a mutt: update to 1.9.1
* 27a7bf344 shared-mime-info: update to 1.9
* aa83ee994 libxkbcommon: update to 0.7.2
* 490f603b4 iso-codes: update to 3.76
* 91b603002 lightdm-gtk-greeter: update to 2.0.3
* f8ae64301 libreoffice-help: update to 5.4.2
* f89756157 lightdm: update to 1.24.0
* 3da67d7a9 libreoffice: update to 5.4.2.2; rebuild for poppler
* 3fe97e5ab cppunit: update to 1.14.0
* 7f3338d09 texlive: rebuild for poppler
* e63f672be texlive: fix CVE-2016-10243; fix #779
* 0db7c1d66 calligra: rebuild for poppler
* a656b603a cups-filters: rebuild for poppler
* f62e929e0 inkscape: update to 0.92.2; rebuild for poppler
* 7439517e4 poppler: update to 0.60.1
* 62eb875bc nss: fix pkgconfig version
* 376d1afae cmake: update to 3.9.4
* 1312d6973 poppler-data: update to 0.4.8; mark noarch
* aa870d995 sddm: update to 0.16.0
* 3f850f560 cherrytree: update to 0.38.2
* 0de7d0e32 nmap: update to 7.60
* 3c3d35492 lvm2: update to 2.02.175
* c7dfe876b orca: rebuild for liblouis
* 8f01fb2bd liblouis: calibrate orca breakage version
* ae83d7cde cups-filters: update to 1.17.9; rebuild for liblouis
* a3cbe6ac5 liblouis: update to 3.3.0; fix #788
* e8d211310 multimc5: bump rel for rebuilding
* 0ce600163 classic95-icon-theme: fix build script
* 4a4a5c41a icewm-themes: make it to correct noarch repo
* 7e6805e0d shadowsocks-libev: update to 3.1.0
* 221a8ed9f wireguard: update to 0.0.20171005
* fa2484c71 v2ray: update to 2.40
* e5c127619 deadbeef: bump release number for rebuilding
* 7a71d08ae deadbeef: add yasm dependency for APE support
* 3cffc18a2 Bump REL for spell check affected packages
* d91a0da92 PKGDES spell check
* 8be8fb589 openswan: update to 2.6.50
* e4125f9b0 gnome-panel: update to 3.26.0
* 267fb067c vala: update to 0.38.2
* 525b20083 rhythmbox: update to 3.4.2
* f00d11d82 ghostscript: update to 9.22
* c710c3bcf strongswan: update to 5.6.0
* 49eca1876 mercurial: update to 4.3.3
* 262b73a25 appstream-glib: update to 0.7.2
* d0c3e7cd7 filezilla: update to 3.28.0
* 87c24f378 libfilezilla: update to 0.11.0
* 555653eb5 libfilezilla: update to 0.10.1
* e14f796b7 qemu: update to 2.9.1
* 5b983b163 qemu: fix #692
* fc1c1c7f8 nss: update to 3.33
* c6fa875b0 brave-browser: update to 0.19.35
* 0675c662c vscode: update to 1.17.0
* 3f681ad71 mesa: fix build on arm
* 3ee8d2fbc cups: update to 2.2.4
* b1307fcdc arc-kde: update to 20170925
* d2975cefa spl, zfs: bump rel, fix the package of ACBS log.
* 9d2c0460f spl, zfs: update to 0.7.2
* e4d63f3bf seamonkey: update to 2.48.0; rebuild for libevent
* 322e62ce8 thunderbird: update to 52.4.0; rebuild for libevent
* 0d7471681 palemoon: rebuild for libevent
* aea4ad6cb nspr: update to 4.17
* 407ca391a firefox: rebuild for libevent
* a41994a7c chromium: rebuild for libevent
* 81c365dec lmms: update to 1.2.0.rc4
* df7af62fe thedarkmod: further debundle libs
* e28661812 pam-u2f: fix pam dir path
* 7a1466418 linux-kernel-libre: upgrade to 4.13.5
* 0c0698d2b linux-kernel-lts: upgrade to 4.9.53
* d1bbde163 linux-kernel: upgrade to 4.13.5
* 89748a374 tilix: upgrade to 1.6.4
* eb8c05f5f gtkd: upgrade to 3.6.6
* 5bfd1ac34 flat-plat-theme: dummify for materia-theme
* 735dac166 materia: renamed from flat-plat-theme
* 88afe1dfb pam-u2f: new 1.0.4.20170616
* cb4e6cf9a flat-plat-theme: upgrade to 20170917
* 9c38a8316 libevent: deviate firefox breakage by architecture
* ef6df2fd7 firefox: update to 56.0; fix #737
* 37430f06a transmission: rebuild for libevent
* 790dfcaa0 tor: update to 0.3.1.7; rebuild for libevent
* 91638c4f6 rspamd: update to 1.6.4; rebuild for libevent
* 21e441072 opensmtpd: rebuild for libevent
* f0abce3f4 ntp: rebuild for libevent
* d9b77397d nsd: update to 4.1.17; rebuild for libevent
* a6a9e8e40 memcached: update to 1.5.2; rebuild for libevent
* bc07ec2a8 libmemcached: rebuild for libevent
* 5a5df486c libasr: rebuild for libevent
* ec283f914 freshplayerplugin: update to 0.3.7; rebuild for libevent
* 76d9a049c unbound: rebuild for libevent
* 6540344ef spdylay: rebuild for libevent
* dc4d0f143 tmux: update to 2.6; rebuild for libevent
* 14558f475 nfs-utils: rebuild for libevent
* 7ada018f6 chromium: update to 61.0.3163.100; #738
* 763d871a5 libevent: update to 2.1.8
* 758d67b93 classic95-icon-theme: fix upstream source tarball link
* c2af64b39 rtmpdump: fix VER date, use full commit hash
* be35256f3 redmond-themes: make directory generating for packaging
* ccab1de05 redmond-themes: fix another build script typo
* 8ee2c4eb1 redmond-themes: add mission quotations
* 687cb90f3 redmond-themes: fix the build script
* 5fa1319c7 openscenegraph: update to 3.4.1
* 1939badb6 linux-firmware: update to 20170906
* 3550397a0 lttng-ust: update to 2.10
* cea1ee48b stevedore: update to 1.27.1
* 00ca38a4a scour: update to 0.36
* 3748bfedc urllib3: update to 1.22
* c71c3d437 setuptools: update to 36.5.0
* 37693bf15 pytest: update to 3.2.3
* ef28a475c python-3: update to 3.6.3
* ed4b87e3c python-2: update to 2.7.14
* 351a601bf apt: update to 1.5
* fe62f41a2 xfce4-xkb-plugin: update to 0.8.1
* d23b753f6 xfce4-terminal: update to 0.8.6
* 762b3539c tumbler: update to 0.2.0
* 0560e1d1b xfce4-clipman-plugin: update to 1.4.2
* bca4a8a8e afl: rebuild for LLVM 5.0.0
* 090829f01 rustc: rebuild for LLVM 5.0.0
* f1dd29781 kdevelop: rebuild for LLVM 5.0.0
* e5ce500f5 gnustep-make: rebuild for LLVM 5.0.0
* 9afb34439 gnome-builder: rebuild for LLVM 5.0.0
* 1d1eee5bc ldc: update to 1.4.0; rebuild for LLVM 5.0.0
* 40837ec7d pocl: update to 20170914; rebuild for LLVM 5.0.0
* e940c4e57 codelite: rebuild for LLVM 5.0.0
* 3038cd351 beignet: rebuild for LLVM 5.0.0
* 33ee43a9a mesa: rebuild for LLVM 5.0.0
* 36b8b7df9 rustc: bootstrap and do not strip
* eb227510d llvm: update to 5.0.0
* cb6e3120f mesa: update to 17.2.2
* 65ad975b1 intel-gpu-tools: update to 1.20
* 69ebc825b xorg-server: update to 1.19.4
* ebdab33df xf86-input-libinput: update to 0.26.0
* e8715a532 xf86-video-ati: update to 7.10.0
* 6213b28b3 xf86-video-amdgpu: update to 1.4.0
* b3997a71c libdrm{,+32}: update to 2.4.83
* a0a105a89 libbsd: update to 0.8.6
* de083f539 dbus{,+32}: update to 1.10.24
* e4a098531 gnome-flashback: update to 3.26.0
* df2d2ae25 gnome-calendar: update to 3.26.2
* 531f92a9d js-52: use suggested parameters from Fedora, and remove old ops
* 57fe2b9d2 desktop-base: fix gdm logo installation
* c47cb13f6 gjs: remove -O3 flags
* 24c145919 js-52: remove -O3 flags
* 78bd27e6f nautilus: ensure Nautilus is rebuilt after Tracker 2.0 update
* e5113c222 gdm: add pam.d files to conffiles
* d5463f41c polari: use meson
* acb4b7994 polari: update to 3.26.1
* f14278443 gnome-shell-extensions: update to 3.26.1
* 76ff5a8ca gnome-shell: update to 3.26.1
* 5e2b2da08 mutter: update to 3.26.1
* 9ecc66759 tracker: update to 2.0.1
* 3607aa377 gnome-characters: update to 3.26.1
* ed698999f librsvg: update to 2.40.19
* d8f54abae gnome-games: update to 3.26.1.1
* 7b7c2a61e gnome-builder: update to 3.26.1
* e4085514b sysprof: update to 3.26.1
* f2caf96c5 gnome-session: update to 3.26.1
* 1154653d4 gdm: update to 3.26.1
* 4195ba155 gnome-documents: update to 3.26.1
* 89f028592 gnome-photos: update to 3.26.1
* f2d1c34ce gnome-control-center: update to 3.26.1
* 0ab322a10 gnome-online-accounts: update to 3.26.1
* 7c819f00c dconf: update to 0.26.1
* cd01e3b28 gnome-settings-daemon: update to 3.26.1
* 86ce6410d simple-scan: update to 3.26.1
* 2bfe3d3bd gjs: update to 1.50.1
* e6e841dd1 gnome-music: update to 3.26.1
* 8461837db eog-plugins: update to 3.26.1
* 966d39408 eog: update to 3.26.1
* bd4da4329 gnome-desktop: update to 3.26.1
* 55b12db58 gnome-user-docs: update to 3.26.1
* 626770abf metacity: update to 3.26.0
* 1a3a18fea gnome-maps: update to 3.26.1
* 8480c2c42 gnome-getting-started-docs: update to 3.26.1
* 9e4ae4003 gucharmap: update to 10.0.2
* 4657c8ce0 gnome-terminal: update to 3.26.1
* 2723a18e2 vte-gtk3: update to 0.50.1
* 447e15dc6 file-roller: update to 3.26.1
* bbfc13bb5 baobab: update to 3.26.1
* dd5ef6c8f gnome-tweak-tool: update to 3.26.2.1
* af6a11c81 gdk-pixbuf: update to 2.36.11
* 0415950e7 gtk-3: update to 3.22.24
* abec37b35 glib: update to 2.54.1
* d3631ba61 gvfs: update to 1.34.1
* 8c4ab6b29 gnome-disk-utility: update to 3.26.1
* ee8aa8cf3 gnome-software: update to 3.26.1
* d24466642 gnome-boxes: update to 3.26.1
* c984bf84d dconf-editor: update to 3.26.1
* de43821b7 gobject-introspection: update to 1.54.1
* f0f87a897 evolution: update to 3.26.1
* 0af545140 evolution-data-server: update to 3.26.1
* 20bef4193 geary: update to 0.12.0
* efcfeff8c hitori: update to 3.22.4
* 6b64b37a0 aravis: update to 0.5.10
* 61dd121ce glade: update to 3.20.1
* d20c8f3c1 gnome-2048: update to 3.26.1
* 9c8ec4ffa iagno: update to 3.26.1
* 695a38aa5 gnome-taquin: update to 3.26.1
* efb1e5bf9 gnome-dictionary: update to 3.26.1
* bf0ddc787 gtksourceview-3: update to 3.24.5
* 9f0f3ca79 gnome-games: update to 3.26.1
* 38a3723b8 retro-gtk: update to 0.12.1
* afb1b257e gnome-user-docs: update to 3.26.0.1
* 7604ee338 gnome-todo: update to 3.26.1
* 69475befc gnome-calendar: update to 3.26.1
* d612033f8 networkmanager-vpnc: update to 1.2.4
* bfe549021 networkmanager-strongswan: update to 1.4.2
* c61f85064 networkmanager-pptp: update to 1.2.4
* b97fc30bb networkmanager-openvpn: update to 1.8.0
* b7bb861fd networkmanager-l2tp: update to 1.2.8
* 35dced53a pitivi: update to 0.99
* fc308c96f groups/gstreamer-1-0: update to 1.12.3
* 35e542983 gnome-tweak-tool: update to 3.26.1
* cf7dd97c8 network-manager-applet: update to 1.8.4
* da0551574 networkmanager: update to 1.8.4
* 91ce50909 gnote: update to 3.26.0
* ee2340c6b libxslt: update to 1.1.30
* 9430b7625 libxml2: update to 2.9.5
* 0faeb5486 gnome-font-viewer: update to 3.26.0
* fec969e5a girl: update to 1.0.0
* 6c326abab sysprof: update to 3.26.0
* 264ba3945 gnome-bluetooth: update to 3.26.1
* 0c2765010 orca: update to 3.26.0
* 6cdb68ad0 gnome-backgrounds: update to 3.26.2
* 4956a9e03 adwaita-icon-theme: update to 3.26.0
* f6491ac6b gnome-documents: update to 3.26.0
* 5e869c580 libgepub: update to 0.5.2
* bff6c49ad gtkmm-3: update to 3.22.2
* 580918a98 glibmm: update to 2.54.0
* 2973667c4 polari: update to 3.26.0
* 84489e6f1 gnome-shell-extensions: update to 3.26.0
* 36b0d21ff gnome-shell: use meson
* c065527a2 gnome-shell: update to 3.26.0
* df0ff8627 mutter: update to 3.26.0
* c0a1511cd systemd: update libgudev to 232
* 74541f564 pipewire: new, 0.1.5
* 969216be9 libsoup: update to 2.60.0
* e359ebb35 glib-networking: update to 2.54.0
* e3e3e72d5 gdm: update to 3.26.0
* be8ce3690 gnome-session: update to 3.26.0
* 7e4d32ceb nautilus-sendto: transitionalise (noarch)
* 3bc7f3338 nautilus: update to 3.26.0
* 459c82c11 json-glib: update to 1.4.2
* 9ea3a52d1 gnome-user-docs: update to 3.26.0
* 9f02a0e2f gnome-getting-started-docs: update to 3.26.0
* f6ffdfd98 json-glib: update to 1.4.0
* 7c45f6f4d libgnomekbd: update to 3.26.0
* d77f76c3b libxklavier: enable introspection
* 1907a04e4 gnome-dictionary: update to 3.26.0
* d085880be gnome-control-center: update to 3.26.0
* 65afb960a gnome-online-accounts: update to 3.26.0
* 975cebd37 gnome-settings-daemon: update to 3.26.0
* 6595e8fb2 cairomm: update to 1.12.2
* a256a6108 cairo: update to 1.14.10
* edc5b1b82 pygobject-3: update to 3.26.0
* a9876532e py{2,3}cairo: transitionalise (noarch)
* 6f3a5d94f pycairo: update to 1.15.3
* 9dc6307ab linux-kernel: mips*: update config to 4.13
* 014e86549 gnome-photos: update to 3.26.0
* 628527d6b evince: update to 3.26.0
* ad9231612 gnome-calendar: update to 3.26.0
* 5a46cea40 gnome-builder: update to 3.26.0
* 025d7d8c3 gnome-devel-docs: update to 3.26.0
* a2c278e06 cheese: update to 3.26.0
* 65664d85a gnome-system-monitor: update to 3.26.0
* 6b1ab4588 five-or-more: update to 3.26.0
* 65a78d37b gnome-mines: update to 3.26.0
* 774f57739 libgtop: update to 2.38.0
* d10beb990 swell-foop: update to 3.26.0
* fce55099c lightsoff: update to 3.26.0
* 1b71b3db4 eog-plugins: update to 3.26.0
* aa860161e eog: update to 3.26.0
* d7fd0911f yelp: update to 3.26.0
* f61ee3a7a pyatspi: update to 2.26.0
* a5b6dfebc at-spi2-atk: update to 2.26.0
* 15880ef15 at-spi2-core: update to 2.26.0
* 94ef97070 gnome-maps: update to 3.26.0
* 4f24bfda0 gnome-boxes: update to 3.26.0
* f84d8bff9 gucharmap: update to 10.0.1
* c0dd155c8 gnome-terminal: update to 3.26.0
* b8c6bc623 vte-gtk3: update to 0.50.0
* 50873d494 js-52: symlink and remove executables
* 4f62b7cc1 gjs: update to 1.50.0
* c59c37394 js-52: new, 52.4.0
* 70a5b0b83 gnome-tweak-tool: update to 3.26.0
* 2a38ad640 rygel: update to 0.36.0
* 81d32f7ca bijiben: update to 3.26.1
* 5d2c38b93 file-roller: update to 3.26.0
* 1812c94cf gnome-desktop: update to 3.26.0
* c0777a028 gnome-initial-setup: update to 3.26.0
* 511c5f08c gtk-3: update to 3.22.21
* 4debbf992 wayland-protocols: update to 1.10 (noarch)
* 69634f170 gnome-weather: update to 3.26.0
* aedd4b05f libgweather: update to 3.26.0
* 77c7e1cc7 gnome-disk-utility: update to 3.26.0
* 4ca413518 udisks-2: update to 2.7.3
* 66cdb71bd libblockdev: add bcache-tools
* 364fe99b3 libbytesize: update to 1.2
* b12912854 libblockdev: update to 2.13
* cd62829e3 dosfstools: update to 4.1
* 273d19ef5 gvfs: update to 1.34.0
* bc1b6693b gnome-online-miners: update to 3.26.0
* 048379394 totem: update to 3.26.0, bootstrap (what?!)
* a9864b549 totem-pl-parser: update to 3.26.0
* fe7be6b0b gmime-3: new, 3.0.2
* 8fc4accf4 gdk-pixbuf: update to 2.36.10
* 216426b7a gnome-bluetooth: update to 3.26.0
* ab67e583f gnome-software: update to 3.26.0
* e0453f225 fwupd: update to 0.9.7
* f2e30bd2b fwupdate: some fixes from Arch
* 53e7a872b vala: update to 0.38.1
* e5947e0f8 gnome-packagekit: update to 3.26.0
* bcf401c2a gnome-multi-writer: switch to docbook-utils
* 67b62e864 perl-sgmlspm: downgrade to 1.03ii
* 7a6c9b76f opensp: executable symlinks
* 6e4d8692f perl-sgmlspm: executable symlink
* a07e347eb docbook-utils: add docbook-sgml31 dep (noarch)
* 52f3ed6a9 docbook2x: transitionalise (noarch)
* e8450da4d docbook-utils: new, 0.6.14 (noarch)
* 1049d6301 docbook-sgml: new, 3.1 (noarch)
* 5c9f005bf docbook-dsssl: new, 1.79 (noarch)
* 7ee970c0a jade: update to 1.3.2
* 9d7c8295b gnome-multi-writer: update to 3.26.0
* a2fc9f5ad gnome-music: update to 3.26.0
* 3959d30ae grilo-plugins: udpate to 0.3.5
* 995e9db70 grilo: update to 0.3.4
* 30876f68e gnome-logs: update to 3.26.0
* 65d4f06af gobject-introspection: update to 1.54.0
* cb447d5a2 atk: update to 2.26.0
* 19ccc5165 gnome-contacts: update to 3.26
* 4e6713662 folks: update to 0.11.4
* c30eae70f evolution: update to 3.26.0
* 95f1b830b orage: rebuild for libical
* 0a2f1299b kdepimlibs4: rebuild for libical
* 869412234 kcalcore: rebuild for libical
* 2e9e5f57e abiword: update to 3.0.2 (rebuild)
* 576000820 bluez: update to 5.47 (rebuild)
* cda4ad01d libical: update to 2.0.0
* 0c46c8f5e evolution-data-server: update to 3.26.0
* 1f517b012 simple-scan: update to 3.26.0
* c04fdbb35 colord: add vala and gobject-introspection builddeps
* 16d151449 glib: update to 2.54.0
* a972291c2 baobab: update to 3.26.0
* a4756e1e7 gnome-clocks: update to 3.26.0
* 39139a915 gsound: enable introspection and vala
* 168e86785 tracker: update to 2.0
* 1f3d4277c gnome-games: update to 3.26.0
* 765070510 anjuta: update to 3.26.0
* 677795c82 retro-gtk: update to 0.12.0
* 254fc7644 gdl: update to 3.26.0
* 1668575e5 libpeas: update to 1.22.0
* cc3f4731c devhelp: update to 3.26.0
* 98a7b9ae0 gspell: update to 1.6.0
* 0a0c5a02c meld: update to 3.18.0 (noarch)
* 3ac438e5a latexila: update to 3.26.0
* dd84d34ff tepl: update to 3.0.0
* 78cbcdfd4 libgnome-games-support: update to 1.2.3
* 719ffcee2 gnome-sudoku: update to 3.26.0
* dc0d4d66c gnome-chess: update to 3.26.0
* b5ff9bad4 wireguard: okay, fix a mistake in previus dummy script for meta package
* 64460c348 wireguard: add a dummy build script for meta package
* 3b44b2a0a epiphany: update to 3.26.1
* 2ed884403 webkit2gtk: update to 2.18.0
* 8fd1e76c2 libchamplain: update to 0.12.16
* a633c4e84 vala: update to 0.38.0
* dc47032fb autoconf-archive: update to 2017.09.28 (noarch)
* 00f252766 libisoburn: update to 1.4.8
* 384c24e5d libisofs: update to 1.4.8
* a584c0454 libburn: update to 1.4.8
* 19856f390 texinfo: update to 6.5
* 418a347eb emacs: update to 25.3
* e9bc28812 gdb: update to 8.0.1
* 28df8c75a coreutils: update to 8.28
* a8950bce2 libgcrypt: update to 1.8.1
* 81178af9b libidn2: update to 2.0.4
* deb31b78c gnupg: update to 2.2.1
* 481102920 nano: update to 2.8.7
* 06e8b9c20 pspp: update to 1.0.1
* 835e28bd2 v2ray: update to 2.39
* f8ff14d41 multimc5: fix the patch again
* b39bcd593 multimc5: fix the patch
* 7880b8c7d multimc5: add a patch for fixing with gcc7 environment
* f518bd803 refind: change to binpack
* 1f4a14393 tcpdump: security update to 4.9.2
* 0b3ad3c64 arp-scan: fix segv when not running with root
* 9eac1a227 bluez: fix #704, CVE-2017-1000250
* f880213b3 strongswan: bump rel for CVE-2017-11185
* 9b89262ac ruby: 2.6.13 rubygem fix CVEs
* d7c541f31 file: 5.32 fix CVE-2017-1000249
* 7ab9c5504 commons-email: upgrade to 1.5 fixing #690
* b9cb53afc openjpeg: upgrading to 2.2.0 fixing multiple CVEs
* 8930e530e libxml2+32: security update to 2.9.4
* 86d24445f libgd: missing dep libwebp
* aaaa90652 libmspack: upgrade to 0.6alpha fix #700
* 78b50cd49 newsbeuter: patch fixing #699
* 29d42c586 curl+32: upgrade to 7.55.0 fix #698
* a2e959ebc curl: upgrade to 7.55.0 fix #698
* 9dcbdea40 gitg: rebuild for git
* 6c5791433 mercurial: 4.2.3 fix #693
* bf90c74c0 git: 2.13.5 fix #693
* fb17b01c3 qt-5: fix a crash in libQt5Qml in armel

Delayed Updates

These changes listed in the paragraph below are changes intended but not implemented according to the original schedule for this month's updates.

* eb8e50e1d ceph: update to 10.2.10 (FTBFS)

Bugfix Updates

These updates were committed and made available to AOSC OS throughout the month as bug fix updates, and could contain major functionality improvements and security updates, the list below, like those listed in the two sections above, is a list of Git commits made to this particular branch (again, slightly edited for reference).

* e3477f12a libtirpc: remove wrongly rebased patches
* 916a84e40 palemoon: fix build on NEON-enabled ARM ports
* 36e59ca8f spl,zfs: add config.* replacement
* 457e2f398 wxwidgets: fix an assertion error in FileZilla
* ed3aa2782 ppsspp: rebuild for snappy
* b83fe0bf2 snappy: add ppsspp breakage
* 0b1e88e9d firefox: attempt to fix build on ppc*
* f9303f9f5 freeimage: extend ppc clang flag fix
* bf2d93050 go: ppc64 will not get 1.9
* 8d49ac37e gcc-5.4: yet another build fix for sanitizer
* d049f6961 gcc-5.4: more build fixes
* 159de3f40 gcc-5.4: fix build
* 86102c397 freeimage: fix build on powerpc
* 7373a2c6f jack: fix build on ppc*
* 1ef9d9e32 xorg-server: remove wrongly rebased patches
* 386e5bb99 curl{,+32}; remove wrongly rebased patches
* 7247edcd4 openvswitch: remove wrongly rebased patches
* b825941a3 libzip: remove wrongly rebased patches
* daf2e0437 libmwaw: remove wrongly rebased patches
* f86bfc6b1 fontforge: remove wrongly rebased patches
* 42e22ec03 ghostscript: remove wrongly rebased patches
* a6f0730f4 systemd: disable LTO for ppc*
* d79f363ec libevent: fix rebase mishaps
* 61cc280da llvm: follow-up fixes
* c2e2e7995 kernel meta: bump for 4.13.10 and 4.9.59
* 823f03ba5 linux-kernel-libre: upgrade to 4.13.10
* 2d44e127c linux-kernel-lts: upgrade to 4.9.59
* 993e8279a linux-kernel: upgrade to 4.13.10
* ca77f93cd virtualbox: update to 5.1.30; fix #835
* 6cf981cfe vivaldi: update to 1.12.955.42; fix #840
* 5f0ce839d brave-browser: update to 0.19.70; fix #839
* c755c3297 chromium,google-chrome: update to 62.0.3202.75; fix #838
* 41b5df7ad apr-util: update to 1.6.1; fix #837
* 9b4c8a2b1 apr: update to 1.6.3; fix #836
* 889230ba9 wget: fix #834
* d8bb653dd freeimage: fix build on armel
* 97a9b728e jack: fix unconditional crashing problem
* 067e0b5e4 systemd: add libseccomp dep conditionally (redo)
* 9f39aba2a chromium: rebuild for libevent
* 76b58d8aa libevent: update to 2.1.8
* 9dcde56c7 chromium: fix possible segfaults on some systems
* ee3ce9e0c nodejs: fix #833
* 854eccf37 libidn: fix #830
* f57cb2aef mupdf: fix #832
* e657b9023 icu: fix #831
* 2f0a2e5ef bzr: fix #829
* 8f78f3cd8 openjdk: update to 8u152b16; fix #828
* c2950c6fa curl{,+32}: fix #827
* 9d10cb65a irssi: update to 1.0.5; fix #826
* e8542b55a lame{,+32}: update to 3.100; fix #824
* d23003ab5 libvirt: fix #819
* 8e4024be6 hostapd: follow-up fix for #812
* 07166ae11 chromium,google-chrome: update to 62.0.3202.62; fix #817
* 45c44ce36 mupdf: fix #814
* c58cf6d0e flashplayer-ppapi: security update to 27.0.0.170
* 5bcd1bc70 wpa-supplicant: fix adv. 2017-01; fix #812
* 51d97f2b5 linux-kernel-lts: multiple CVEs #801 #795
* 9acdfcf35 linux-kernel: multiple CVEs #801 #795
* 4ee121387 linux-kernel-lts: fix CVE-2017-14991 #795
* 16f1817fa linux-kernel: fix CVE-2017-14991 #795
* 5f7f28b15 xorg-server: fix #811
* 52ec881be shadowsocks-libev: fix x41-2017-010; #809
* 79d578afb libtasn1{,+32}: fix CVE-2017-10790; fix #810
* 3252efccc palemoon: update to 27.5.1; fix #808
* f29cf72fc nss: fix CVE-2017-7805; fix #806
* ba5b0b322 ufw: fix permission warnings on startup; #802
* 535bef5bc firmware-wifi-ap6212: fix build
* 4c6b55bed openvswitch: fix #804
* 43680550a lame+32: fix #800
* 802a0fe99 lame: fix #800
* c1ae8a5dc x11-lib+32: fix #799
* ac6fde509 x11-lib: fix #799
* 11d35d7b7 imagemagick: fix CVE-2017-14989; fix #798
* 4414fe6cc ruby: fix CVE-2017-0903; fix #796
* cfb0b5672 pcre2: update to 10.30; #794
* 26ea694ab pcre: update to 8.41; #794
* ef00ec4e6 ghostscript: fix #789
* 03a54fff9 libwpd: update to 0.10.2; fix #787
* f91972477 krb5: update to 1.15.2; fix #786
* 80f059f26 libzip: fix CVE-2017-12858
* 193a276c8 vivaldi: update to 1.12.955.38; fix #784
* 4bc9e2414 libfm-qt: fix CVE-2017-14604; #774
* 1eb67e4c7 libfm: fix CVE-2017-14604; #774
* 9a147b9a8 nemo: fix CVE-2017-14604; #774
* 3d369d73e wget: fix CVE-2017-6508; fix #783
* 247dcf483 opera: update to 48.0.2685.35; fix #781
* 7167eb069 libevent: fix #780
* f7aaae92c ghostscript: fix CVE-2017-8291; fix #778
* f40ddc65a libtirpc: fix CVE-2017-8779; fix #776
* c30c898af libmwaw: fix CVE-2017-9433; fix #775
* f40c5ccc3 libtiff: fix #773
* d92dab8c0 catdoc: fix CVE-2017-1110; fix #771
* cbc412c5c augeas: fix CVE-2017-7555; fix #770
* d8c11d927 gajim: update to 0.16.8; fix #769
* bcabe6558 connman: fix CVE-2017-12865; fix #767
* 16dae1ac0 fontforge: partially fix #766
* bd9eb4f01 openjpeg: fix CVE-2017-14152.patch; fix #764
* 915b70a51 vorbis-tools: fix #763
* 1982d70f7 php7: update to 7.1.10; fix #762
* f49f8a657 freeimage: fix #761
* 10722c7b3 go: update to 1.9.1; fix #759
* f3f94ea98 openjdk: update to 8u144b01; fix #756
* 5873af1aa google-chrome: update to 61.0.3163.100; #738
* affee3ae6 qemu: fix #758
* 7a806d0f0 wavpack: update to 5.1.0; fix #754
* 98e285a67 xorg-server: fix #753
* 92a248d5b libsamplerate: update to 0.1.9; fix #752
* 916233279 weechat: update to 1.9.1; fix #745
* 21a1da37d libgd: update to 2.2.5; fix #744
* 9b9ad820c imagemagick: fix CVE-2017-14741; fix #743
* f2a62a748 libzip: fix CVE-2017-14107; fix #742
* fbe74fadb httpd: update to 2.4.28; fix #739
* a8123f992 varnish: fix CVE-2017-12425 (VSV00001); fix #735
* 626f85856 curl: fix CVE-2017-1000254; fix #734
* d868fdd67 exim: fix stack clash mem leak
* 9d273e53c openssh: update to 7.6p1; fix #733
* 698ae012c libcroco: fix #732
* dbd9e0d91 jbig2dec: fix #731
* 3b10d3f44 bind: update to 9.11.1.P3; fix #728
* 59193ff3c newsbeuter: fix CVE-2017-14500; fix #712
* 63a601349 remmina: fix incompatibilities with FreeRDP 2.0; fix #691
* 94d1b8512 graphicsmagick: security update to 1.3.25-5, fix #727
* 9575e8c24 unrar: security undate to 5.5.8, fix #724
* 578eb0017 libtiff: security update to 4.0.8, fix #726
* e1b2669fd libsndfile: security update to 1.0.28
* 025c2d77f cvs: security update to 1.12.13-1, fix #693
* 802cb03af cvs: fix typo in VER
* 88f0d6834 libvncserver: security update to 0.9.10-3, fix #723
* 52eb17a05 freeradius: security update to 3.0.13-1, fix #722
* 74df655dd freeradius: add includedir, fix build error
* 05c20c26a icu: security update to 58.2-4, fix #721
* 6cd3ea1fe ruby: security update to 2.4.2, fix #719
* b42cb61bf miniupnpc: security update to 2.0.20170509, fix #718
* dad9526dd imlib2: security update to 1.4.10, fix #716
* 0b982cbca irssi: update to 1.0.4
* e8b1db182 dnsmasq: update to 2.78

Notes About non-AMD64 Ports

Due to lack of device availability, our progress in building packages/updates for non-AMD64 - this includes the PowerPC 32/64-bit Big Endian, ARMv7, and AArch64 ports - we are delaying this Wave of updates for these architectures.

  • All bugfix updates are made available (thus no security concerns as of yet).

We will continue to work on catching up with these ports. Please take note of news posts on the Community Portal.

Special Note on MIPS 32/64-bit Ports

As of the writing of this changelog, we are in discussion of rebooting the MIPS port, and whether to drop pre-MIPS32 32-bit port (in this case, our MIPS-II port targeting legacy MIPS 32-bit devices such as the YeeLoong 8089D).

For your reference, the discussion thread is available here.

Problems sir?

  • Report any issue to our Issues page.

Or alternatively...

  • Find us on the #aosc IRC channel, Telegram group information will be provided if requested on IRC.
  • Send us an e-mail at discussions@lists.aosc.io.